#
# ---------------
# Begin geneva.py
# ---------------
#
def GetKWEBlockPosition(modelName, blockPrefix, occurrence=1):
    if blockPrefix == '':
        return len(mdb.models[modelName].keywordBlock.sieBlocks)-1
    pos = 0
    foundCount = 0
    for block in mdb.models[modelName].keywordBlock.sieBlocks:
        if string.lower(block[0:len(blockPrefix)])==string.lower(blockPrefix):
            foundCount = foundCount + 1
            if foundCount >= occurrence:
                return pos
        pos=pos+1
    return -1

from abaqus import *
import testUtils
testUtils.setBackwardCompatibility()
from abaqusConstants import *
session.Viewport(name='Viewport: 1', origin=(1.25, 1.17187492549419),
    width=184.0, height=116.249992609024)
session.viewports['Viewport: 1'].makeCurrent()
from driverUtils import executeOnCaeStartup
executeOnCaeStartup()
#: Executing "onCaeStartup()" in the site directory ...
Mdb()
#: A new model database has been created.
#: The model "Geneva" has been created.
mdb.models.changeKey(fromName='Model-1', toName='Geneva')
session.viewports['Viewport: 1'].setValues(displayedObject=None)
import part
import regionToolset
import displayGroupMdbToolset as dgm
s = mdb.models['Geneva'].Sketch(name='__profile__', sheetSize=20.0)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=20.0, gridSpacing=0.5, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=0.5,
    decimalPlaces=2)
s.setPrimaryObject(option=STANDALONE)
s.CircleByCenterPerimeter(center=(0.0, 0.0), point1=(3.0, 0.0))
p = mdb.models['Geneva'].Part(name='slot0', dimensionality=THREE_D,
    type=DEFORMABLE_BODY)
p = mdb.models['Geneva'].parts['slot0']
p.BaseSolidExtrude(sketch=s, depth=1.0)
s.unsetPrimaryObject()
p = mdb.models['Geneva'].parts['slot0']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Geneva'].sketches['__profile__']
p = mdb.models['Geneva'].parts['slot0']
f, e = p.faces, p.edges
t = p.MakeSketchTransform(sketchPlane=f.findAt((0.988831,
    0.149042, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e.findAt((0.0, -3.0,
    1.0), ),
    sketchPlaneSide=SIDE1, sketchOrientation=RIGHT, origin=(
    -1.16941292731544e-16, 0.0, 1.0))
s0 = mdb.models['Geneva'].Sketch(name='__profile__', sheetSize=20.0,
    gridSpacing=0.5, transform=t)
g, v, d = s0.geometry, s0.vertices, s0.dimensions
s0.sketchOptions.setValues(sheetSize=20.0, gridSpacing=0.5, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=0.5,
    decimalPlaces=2)
s0.setPrimaryObject(option=SUPERIMPOSE)
p = mdb.models['Geneva'].parts['slot0']
p.projectReferencesOntoSketch(sketch=s0, filter=COPLANAR_EDGES)
r, r0 = s0.referenceGeometry, s0.referenceVertices
s0.Line(point1=(3.0, 0.125), point2=(1.125, 0.125))
s0.Line(point1=(3.0, -0.125), point2=(1.125, -0.125))
s0.Line(point1=(1.125, -0.125), point2=(3.0, 0.125))
s0.unsetPrimaryObject()
del mdb.models['Geneva'].sketches['__profile__']
p = mdb.models['Geneva'].parts['slot0']
f0, e0 = p.faces, p.edges
t = p.MakeSketchTransform(sketchPlane=f0.findAt((0.988831,
    0.149042, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e0.findAt((0.0, -3.0,
    1.0), ),
    sketchPlaneSide=SIDE1, sketchOrientation=RIGHT, origin=(
    -1.16941292731544e-16, 0.0, 1.0))
s = mdb.models['Geneva'].Sketch(name='__profile__', sheetSize=20.0,
    gridSpacing=0.5, transform=t)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=20.0, gridSpacing=0.5, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=0.5,
    decimalPlaces=2)
s.setPrimaryObject(option=SUPERIMPOSE)
p = mdb.models['Geneva'].parts['slot0']
p.projectReferencesOntoSketch(sketch=s, filter=COPLANAR_EDGES)
r, r0 = s.referenceGeometry, s.referenceVertices
s.Line(point1=(3.0, 0.125), point2=(1.125, 0.125))
s.Line(point1=(3.0, 0.125), point2=(3.0, -0.125))
s.Line(point1=(3.0, -0.125), point2=(1.125, -0.125))
s.ArcByCenterEnds(center=(1.125, 0.0), point1=(1.125, -0.125), point2=(1.125,
    0.125))
p = mdb.models['Geneva'].parts['slot0']
f, e = p.faces, p.edges
p.CutExtrude(sketchPlane=f.findAt((
    0.988831, 0.149042, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e.findAt((0.0, -3.0,
    1.0), ), sketchPlaneSide=SIDE1,
    sketchOrientation=RIGHT, sketch=s, flipExtrudeDirection=OFF)
s.unsetPrimaryObject()
#: Info: No sketch placement constraints specified on Cut extrude-1 feature.
del mdb.models['Geneva'].sketches['__profile__']
p = mdb.models['Geneva'].parts['slot0']
f0, e0 = p.faces, p.edges
t = p.MakeSketchTransform(sketchPlane=f0.findAt((2.356269,
    -0.271499, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e0.findAt((-0.062514,
    -2.999349, 1.0), ),
    sketchPlaneSide=SIDE1, sketchOrientation=RIGHT, origin=(
    -0.0357239197236009, 0.0, 1.0))
s0 = mdb.models['Geneva'].Sketch(name='__profile__', sheetSize=20.0,
    gridSpacing=0.5, transform=t)
g, v, d = s0.geometry, s0.vertices, s0.dimensions
s0.sketchOptions.setValues(sheetSize=20.0, gridSpacing=0.5, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=0.5,
    decimalPlaces=2)
s0.setPrimaryObject(option=SUPERIMPOSE)
p = mdb.models['Geneva'].parts['slot0']
p.projectReferencesOntoSketch(sketch=s0, filter=COPLANAR_EDGES)
r, r0 = s0.referenceGeometry, s0.referenceVertices
s0.Line(point1=(0.125, 3.0), point2=(0.125, 1.125))
s0.Line(point1=(0.125, 3.0), point2=(-0.125, 3.0))
s0.Line(point1=(-0.125, 3.0), point2=(-0.125, 1.125))
s0.ArcByCenterEnds(center=(0.0, 1.125), point1=(0.125, 1.125), point2=(-0.125,
    1.125))
p = mdb.models['Geneva'].parts['slot0']
f, e = p.faces, p.edges
p.CutExtrude(sketchPlane=f.findAt((
    2.356269, -0.271499, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e.findAt((-0.062514,
    -2.999349, 1.0), ), sketchPlaneSide=SIDE1,
    sketchOrientation=RIGHT, sketch=s0, flipExtrudeDirection=OFF)
s0.unsetPrimaryObject()
#: Info: No sketch placement constraints specified on Cut extrude-2 feature.
del mdb.models['Geneva'].sketches['__profile__']
p = mdb.models['Geneva'].parts['slot0']
f0, e0 = p.faces, p.edges
t = p.MakeSketchTransform(sketchPlane=f0.findAt((0.23825,
    2.358455, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e0.findAt((1.180958,
    2.757778, 1.0), ),
    sketchPlaneSide=SIDE1, sketchOrientation=RIGHT, origin=(
    -0.0357244882601723, -0.0363635068663926, 1.0))
s = mdb.models['Geneva'].Sketch(name='__profile__', sheetSize=20.0,
    gridSpacing=0.5, transform=t)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=20.0, gridSpacing=0.5, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=0.5,
    decimalPlaces=2)
s.setPrimaryObject(option=SUPERIMPOSE)
p = mdb.models['Geneva'].parts['slot0']
p.projectReferencesOntoSketch(sketch=s, filter=COPLANAR_EDGES)
r, r0 = s.referenceGeometry, s.referenceVertices
s.Line(point1=(-3.0, 0.125), point2=(-1.125, 0.125))
s.Line(point1=(-3.0, 0.125), point2=(-3.0, -0.125))
s.Line(point1=(-3.0, -0.125), point2=(-1.125, -0.125))
s.ArcByCenterEnds(center=(-1.125, 0.0), point1=(-1.125, 0.125), point2=(
    -1.125, -0.125))
p = mdb.models['Geneva'].parts['slot0']
f, e = p.faces, p.edges
p.CutExtrude(sketchPlane=f.findAt((
    0.23825, 2.358455, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e.findAt((1.180958,
    2.757778, 1.0), ), sketchPlaneSide=SIDE1,
    sketchOrientation=RIGHT, sketch=s, flipExtrudeDirection=OFF)
s.unsetPrimaryObject()
#: Info: No sketch placement constraints specified on Cut extrude-3 feature.
del mdb.models['Geneva'].sketches['__profile__']
p = mdb.models['Geneva'].parts['slot0']
f0, e0 = p.faces, p.edges
t = p.MakeSketchTransform(sketchPlane=f0.findAt((-2.370616,
    0.236462, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e0.findAt((2.083215,
    -2.158753, 1.0), ),
    sketchPlaneSide=SIDE1, sketchOrientation=RIGHT, origin=(
    0.000302255304095586, -0.0363640960350968, 1.0))
s0 = mdb.models['Geneva'].Sketch(name='__profile__', sheetSize=20.0,
    gridSpacing=0.5, transform=t)
g, v, d = s0.geometry, s0.vertices, s0.dimensions
s0.sketchOptions.setValues(sheetSize=20.0, gridSpacing=0.5, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=0.5,
    decimalPlaces=2)
s0.setPrimaryObject(option=SUPERIMPOSE)
p = mdb.models['Geneva'].parts['slot0']
p.projectReferencesOntoSketch(sketch=s0, filter=COPLANAR_EDGES)
r, r0 = s0.referenceGeometry, s0.referenceVertices
s0.Line(point1=(0.125, -1.125), point2=(0.125, -3.0))
s0.Line(point1=(0.125, -3.0), point2=(-0.125, 3.0))
s0.unsetPrimaryObject()
del mdb.models['Geneva'].sketches['__profile__']
p = mdb.models['Geneva'].parts['slot0']
f, e = p.faces, p.edges
t = p.MakeSketchTransform(sketchPlane=f.findAt((-2.370616,
    0.236462, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e.findAt((2.083215,
    -2.158753, 1.0), ),
    sketchPlaneSide=SIDE1, sketchOrientation=RIGHT, origin=(
    0.000302255304095586, -0.0363640960350968, 1.0))
s = mdb.models['Geneva'].Sketch(name='__profile__', sheetSize=20.0,
    gridSpacing=0.5, transform=t)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=20.0, gridSpacing=0.5, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=0.5,
    decimalPlaces=2)
s.setPrimaryObject(option=SUPERIMPOSE)
p = mdb.models['Geneva'].parts['slot0']
p.projectReferencesOntoSketch(sketch=s, filter=COPLANAR_EDGES)
r, r0 = s.referenceGeometry, s.referenceVertices
s.Line(point1=(0.125, -1.125), point2=(0.125, -3.0))
s.Line(point1=(0.125, -3.0), point2=(-0.125, -3.0))
s.Line(point1=(-0.125, -3.0), point2=(-0.125, -1.125))
s.ArcByCenterEnds(center=(0.0, -1.125), point1=(-0.125, -1.125), point2=(
    0.125, -1.125))
p = mdb.models['Geneva'].parts['slot0']
f0, e0 = p.faces, p.edges
p.CutExtrude(sketchPlane=f0.findAt((
    -2.370616, 0.236462, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e0.findAt((2.083215,
    -2.158753, 1.0), ), sketchPlaneSide=SIDE1,
    sketchOrientation=RIGHT, sketch=s, flipExtrudeDirection=OFF)
s.unsetPrimaryObject()
#: Info: No sketch placement constraints specified on Cut extrude-4 feature.
del mdb.models['Geneva'].sketches['__profile__']
p = mdb.models['Geneva'].parts['slot0']
f, e = p.faces, p.edges
t = p.MakeSketchTransform(sketchPlane=f.findAt((-0.271125,
    -2.368427, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e.findAt((2.747144,
    -1.205487, 1.0), ),
    sketchPlaneSide=SIDE1, sketchOrientation=RIGHT, origin=(
    0.00030226029097994, 0.000313324787697885, 1.0))
s0 = mdb.models['Geneva'].Sketch(name='__profile__', sheetSize=20.0,
    gridSpacing=0.5, transform=t)
g, v, d = s0.geometry, s0.vertices, s0.dimensions
s0.sketchOptions.setValues(sheetSize=20.0, gridSpacing=0.5, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=0.5,
    decimalPlaces=2)
s0.setPrimaryObject(option=SUPERIMPOSE)
p = mdb.models['Geneva'].parts['slot0']
p.projectReferencesOntoSketch(sketch=s0, filter=COPLANAR_EDGES)
r, r0 = s0.referenceGeometry, s0.referenceVertices
s0.CircleByCenterPerimeter(center=(3.0, 3.0), point1=(0.87867965644, 3.0))
p = mdb.models['Geneva'].parts['slot0']
f0, e0 = p.faces, p.edges
p.CutExtrude(sketchPlane=f0.findAt((
    -0.271125, -2.368427, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e0.findAt((2.747144,
    -1.205487, 1.0), ), sketchPlaneSide=SIDE1,
    sketchOrientation=RIGHT, sketch=s0, flipExtrudeDirection=OFF)
s0.unsetPrimaryObject()
#: Info: No sketch placement constraints specified on Cut extrude-5 feature.
del mdb.models['Geneva'].sketches['__profile__']
p = mdb.models['Geneva'].parts['slot0']
f, e = p.faces, p.edges
t = p.MakeSketchTransform(sketchPlane=f.findAt((2.776492,
    0.816464, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e.findAt((2.747144,
    -1.205487, 1.0), ),
    sketchPlaneSide=SIDE1, sketchOrientation=RIGHT, origin=(
    -0.123770245861431, -0.123758885370713, 1.0))
s = mdb.models['Geneva'].Sketch(name='__profile__', sheetSize=20.0,
    gridSpacing=0.5, transform=t)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=20.0, gridSpacing=0.5, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=0.5,
    decimalPlaces=2)
s.setPrimaryObject(option=SUPERIMPOSE)
p = mdb.models['Geneva'].parts['slot0']
p.projectReferencesOntoSketch(sketch=s, filter=COPLANAR_EDGES)
r, r0 = s.referenceGeometry, s.referenceVertices
s.CircleByCenterPerimeter(center=(-3.0, 3.0), point1=(-0.87867965644, 3.0))
p = mdb.models['Geneva'].parts['slot0']
f0, e0 = p.faces, p.edges
p.CutExtrude(sketchPlane=f0.findAt((
    2.776492, 0.816464, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e0.findAt((2.747144,
    -1.205487, 1.0), ), sketchPlaneSide=SIDE1,
    sketchOrientation=RIGHT, sketch=s, flipExtrudeDirection=OFF)
s.unsetPrimaryObject()
#: Info: No sketch placement constraints specified on Cut extrude-6 feature.
del mdb.models['Geneva'].sketches['__profile__']
session.viewports['Viewport: 1'].setValues(displayedObject=None)
import part
import regionToolset
import displayGroupMdbToolset as dgm
p = mdb.models['Geneva'].parts['slot0']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['Geneva'].parts['slot0']
f, e = p.faces, p.edges
t = p.MakeSketchTransform(sketchPlane=f.findAt((-0.92302,
    2.742421, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e.findAt((2.747144,
    -1.205487, 1.0), ),
    sketchPlaneSide=SIDE1, sketchOrientation=RIGHT, origin=(
    0.0, 0.0, 1.0))
s = mdb.models['Geneva'].Sketch(name='__profile__', sheetSize=20.0,
    gridSpacing=0.5, transform=t)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=20.0, gridSpacing=0.5, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=0.5,
    decimalPlaces=2)
s.setPrimaryObject(option=SUPERIMPOSE)
p = mdb.models['Geneva'].parts['slot0']
p.projectReferencesOntoSketch(sketch=s, filter=COPLANAR_EDGES)
r, r0 = s.referenceGeometry, s.referenceVertices
s.CircleByCenterPerimeter(center=(-3.0, -3.0), point1=(-0.87867965644, -3.0))
p = mdb.models['Geneva'].parts['slot0']
f0, e0 = p.faces, p.edges
p.CutExtrude(sketchPlane=f0.findAt((
    -0.92302, 2.742421, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e0.findAt((2.747144,
    -1.205487, 1.0), ), sketchPlaneSide=SIDE1,
    sketchOrientation=RIGHT, sketch=s, flipExtrudeDirection=OFF)
s.unsetPrimaryObject()
#: Info: No sketch placement constraints specified on Cut extrude-7 feature.
del mdb.models['Geneva'].sketches['__profile__']
p = mdb.models['Geneva'].parts['slot0']
f, e = p.faces, p.edges
t = p.MakeSketchTransform(sketchPlane=f.findAt((-2.775682,
    -0.820099, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e.findAt((2.747144,
    -1.205487, 1.0), ),
    sketchPlaneSide=SIDE1, sketchOrientation=RIGHT, origin=(0.0,
    0.0, 1.0))
s0 = mdb.models['Geneva'].Sketch(name='__profile__', sheetSize=20.0,
    gridSpacing=0.5, transform=t)
g, v, d = s0.geometry, s0.vertices, s0.dimensions
s0.sketchOptions.setValues(sheetSize=20.0, gridSpacing=0.5, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=0.5,
    decimalPlaces=2)
s0.setPrimaryObject(option=SUPERIMPOSE)
p = mdb.models['Geneva'].parts['slot0']
p.projectReferencesOntoSketch(sketch=s0, filter=COPLANAR_EDGES)
r, r0 = s0.referenceGeometry, s0.referenceVertices
s0.CircleByCenterPerimeter(center=(3.0, -3.0), point1=(0.87867965644, -3.0))
p = mdb.models['Geneva'].parts['slot0']
f0, e0 = p.faces, p.edges
p.CutExtrude(sketchPlane=f0.findAt((
    -2.775682, -0.820099, 1.0), (0.0, 0.0, 1.0)), sketchUpEdge=e0.findAt((2.747144,
    -1.205487, 1.0), ), sketchPlaneSide=SIDE1,
    sketchOrientation=RIGHT, sketch=s0, flipExtrudeDirection=OFF)
s0.unsetPrimaryObject()
#: Info: No sketch placement constraints specified on Cut extrude-8 feature.
del mdb.models['Geneva'].sketches['__profile__']
s = mdb.models['Geneva'].Sketch(name='__profile__', sheetSize=20.0)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=20.0, gridSpacing=0.5, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=0.5,
    decimalPlaces=2)
s.setPrimaryObject(option=STANDALONE)
s.CircleByCenterPerimeter(center=(0.0, 0.0), point1=(-2.12132034, 0.0))
s.Spot(point=(3.0, 0.0))
s.CircleByCenterPerimeter(center=(3.0, 0.0), point1=(3.5, 0.0))
mdb.models['Geneva'].sketches['__profile__'].sketchOptions.setValues(
    sheetSize=20.0, gridSpacing=0.5, grid=ON, gridFrequency=2,
    constructionGeometry=ON, dimensionTextHeight=0.5, decimalPlaces=6,
    gridSnap=OFF, preselection=ON)
session.viewports['Viewport: 1'].view.setValues(width=4.4533, height=2.8469,
    cameraPosition=(1.8872, 1.0892, 18.856), cameraTarget=(1.8872, 1.0892, 0))
s.Line(point1=(0.919626235961914, 1.91721987724304), point2=(3.26852604321478,
    0.421774541805709))
s.moveVertices(vector=(0.389135815546133, -0.247746344230263), vertexList=(
    v[8], ))
s.moveVertices(vector=(-0.215468742296316, 0.148508067748637), vertexList=(
    v[8], ))
session.viewports['Viewport: 1'].view.setValues(width=0.31047, height=0.19848,
    cameraPosition=(1.084, 1.8366, 18.856), cameraTarget=(1.084, 1.8366, 0))
session.viewports['Viewport: 1'].view.setValues(width=0.06426, height=0.04108,
    cameraPosition=(1.0957, 1.8167, 18.856), cameraTarget=(1.0957, 1.8167, 0))
session.viewports['Viewport: 1'].view.setValues(width=0.01302,
    height=0.0083234, cameraPosition=(1.0926, 1.8179, 18.856), cameraTarget=(
    1.0926, 1.8179, 0))
s.moveVertices(vector=(-0.000711441040039063, -0.00119686126709029),
    vertexList=(v[8], ))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(width=0.66515, height=0.42521,
    cameraPosition=(1.0188, 1.9072, 18.297), cameraTarget=(1.0188, 1.9072,
    0.5))
s.VerticalConstructionLine(point=(1.09258186817169, 1.81678473949432))
session.viewports['Viewport: 1'].view.fitView()
s.VerticalConstructionLine(point=(3.26852604321478, 0.421774541805709))
s.Line(point1=(1.09258186817169, -1.81831373702125), point2=(3.27006591426821,
    -0.420790211329205))
s.Spot(point=(0.0, 0.0))
s.Spot(point=(-2.12132034, 0.0))
s.Spot(point=(1.09258186817169, -1.81831373702125))
s.Spot(point=(1.09258186817169, 1.81678473949432))
s.Spot(point=(3.26852604321478, 0.421774541805709))
s.Spot(point=(3.5, 0.0))
s.Spot(point=(3.27006591426821, -0.420790211329205))
s.delete(objectList=(g[3], ))
s.delete(objectList=(g[10], ))
s.delete(objectList=(g[19], ))
s.delete(objectList=(g[7], ))
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(1.09258186817169,
    -1.81831373702125), point2=(1.09258186817169, 1.81678473949432))
s.Line(point1=(1.09325723072698, 1.81790775683501), point2=(3.26852604321478,
    0.421774541805709))
s.ArcByCenterEnds(center=(3.0, 0.0), point1=(3.26852604321478,
    0.421774541805709), point2=(3.27006591426821, -0.420790211329205))
s.Line(point1=(3.27006591426821, -0.420790211329206), point2=(
    1.09258186817169, -1.81831373702125))
p = mdb.models['Geneva'].Part(name='pin', dimensionality=THREE_D,
    type=DEFORMABLE_BODY)
p = mdb.models['Geneva'].parts['pin']
p.BaseSolidExtrude(sketch=s, depth=1.5)
s.unsetPrimaryObject()
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Geneva'].sketches['__profile__']
p = mdb.models['Geneva'].parts['pin']
f, e = p.faces, p.edges
t = p.MakeSketchTransform(sketchPlane=f.findAt((0.329096,
    1.904647, 1.5), (0.0, 0.0, 1.0)), sketchUpEdge=e.findAt((3.438108,
    0.240959, 1.5), ),
    sketchPlaneSide=SIDE1, sketchOrientation=RIGHT, origin=(0.362498170264605,
    2.21784637406244e-06, 1.5))
s0 = mdb.models['Geneva'].Sketch(name='__profile__', sheetSize=20.0,
    gridSpacing=0.5, transform=t)
g, v, d = s0.geometry, s0.vertices, s0.dimensions
s0.sketchOptions.setValues(sheetSize=20.0, gridSpacing=0.5, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=0.5,
    decimalPlaces=6)
s0.setPrimaryObject(option=SUPERIMPOSE)
p = mdb.models['Geneva'].parts['pin']
p.projectReferencesOntoSketch(sketch=s0, filter=COPLANAR_EDGES)
r, r0 = s0.referenceGeometry, s0.referenceVertices
session.viewports['Viewport: 1'].view.setValues(width=2.4741, height=1.5816,
    cameraPosition=(3.0174, -0.011295, 472.9), cameraTarget=(3.0174,
    -0.011295, 1.5))
s0.Line(point1=(2.537502, 0.0), point2=(-4.0, 0.0))
session.viewports['Viewport: 1'].view.fitView()
s0.Line(point1=(-4.0, 0.0), point2=(-3.99055612696016, 2.36417071763947))
s0.Line(point1=(-3.99055612696016, 2.36417071763947), point2=(
    3.27418815480864, 2.29110567514374))
s0.Line(point1=(3.27418815480864, 2.29110567514374), point2=(3.3, 0.0))
s0.Line(point1=(3.3, 0.0), point2=(2.737502, 0.0))
s0.ArcByCenterEnds(center=(2.63750182973539, -2.217846374164e-06), point1=(
    2.537502, 0.0), point2=(2.737502, 0.0))
p = mdb.models['Geneva'].parts['pin']
f0, e0 = p.faces, p.edges
p.CutExtrude(sketchPlane=f0.findAt((0.329096, 1.904647, 1.5), (
    0.0, 0.0, 1.0)), sketchUpEdge=e0.findAt((3.438108, 0.240959, 1.5),
    ), sketchPlaneSide=SIDE1,
    sketchOrientation=RIGHT, sketch=s0, depth=1.0, flipExtrudeDirection=OFF)
s0.unsetPrimaryObject()
#: Info: No sketch placement constraints specified on Cut extrude-1 feature.
del mdb.models['Geneva'].sketches['__profile__']
p = mdb.models['Geneva'].parts['pin']
f, e = p.faces, p.edges
t = p.MakeSketchTransform(sketchPlane=f.findAt((3.361483,
    -0.04124, 1.5), (0.0, 0.0, 1.0)), sketchUpEdge=e.findAt((3.48445,
    -0.123725, 1.5), ),
    sketchPlaneSide=SIDE1, sketchOrientation=RIGHT, origin=(0.367508062855439,
    -0.843773941912702, 1.5))
s = mdb.models['Geneva'].Sketch(name='__profile__', sheetSize=20.0,
    gridSpacing=0.5, transform=t)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=20.0, gridSpacing=0.5, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=0.5,
    decimalPlaces=6)
s.setPrimaryObject(option=SUPERIMPOSE)
p = mdb.models['Geneva'].parts['pin']
p.projectReferencesOntoSketch(sketch=s, filter=COPLANAR_EDGES)
r, r0 = s.referenceGeometry, s.referenceVertices
session.viewports['Viewport: 1'].view.setValues(width=1.3077, height=0.836,
    cameraPosition=(2.932, -0.0077757, 472.9), cameraTarget=(2.932,
    -0.0077757, 1.5))
session.viewports['Viewport: 1'].view.fitView()
s.Line(point1=(2.53249210740917, 0.843776159759076), point2=(
    -2.99741042567893, 0.877742800333551))
s.Line(point1=(-2.99741042567893, 0.877742800333551), point2=(
    -2.99741042567893, -1.30596913822646))
s.Line(point1=(-2.99741042567893, -1.30596913822646), point2=(
    3.48578797863321, -1.34479083546157))
s.Line(point1=(3.48578797863321, -1.34479083546157), point2=(3.48578797863321,
    0.906858961501173))
s.Line(point1=(3.48578797863321, 0.906858961501173), point2=(2.73249176687995,
    0.843776159751524))
s.ArcByCenterEnds(center=(2.63249193714456, 0.843773941912702), point1=(
    2.73249176687995, 0.843776159751524), point2=(2.53249210740917,
    0.843776159759076))
s.constraintReferences(vertex1=r0.findAt((2.73249176687995,
    0.843776159751524), 1))
p = mdb.models['Geneva'].parts['pin']
f0, e0 = p.faces, p.edges
p.CutExtrude(sketchPlane=f0.findAt((3.361483, -0.04124, 1.5), (
    0.0, 0.0, 1.0)), sketchUpEdge=e0.findAt((3.48445, -0.123725, 1.5),
    ), sketchPlaneSide=SIDE1,
    sketchOrientation=RIGHT, sketch=s, depth=1.0, flipExtrudeDirection=OFF)
s.unsetPrimaryObject()
del mdb.models['Geneva'].sketches['__profile__']
import material
import section
import regionToolset
import displayGroupMdbToolset as dgm
mdb.models['Geneva'].Material('Material-1')
mdb.models['Geneva'].materials['Material-1'].Density(table=((1.0, ), ))
mdb.models['Geneva'].materials['Material-1'].Elastic(table=((1.0, 0.0), ))
mdb.models['Geneva'].HomogeneousSolidSection(name='geneva_solid',
    material='Material-1', thickness=1.0)
p1 = mdb.models['Geneva'].parts['pin']
c = p1.cells
cells = c[0:1]
region = regionToolset.Region(cells=c.findAt(((2.951136, -0.037493,
    1.5), ), ))
p0 = mdb.models['Geneva'].parts['pin']
p0.SectionAssignment(region=region, sectionName='geneva_solid')
#: The section "geneva_solid" has been assigned to the selected regions.
p = mdb.models['Geneva'].parts['slot0']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p1 = mdb.models['Geneva'].parts['slot0']
c = p1.cells
cells = c[0:1]
region = regionToolset.Region(cells=c.findAt(((2.776546,
    -0.816147, 0.0), ), ))
p0 = mdb.models['Geneva'].parts['slot0']
p0.SectionAssignment(region=region, sectionName='geneva_solid')
#: The section "geneva_solid" has been assigned to the selected regions.
import assembly
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
a = mdb.models['Geneva'].rootAssembly
a.DatumCsysByDefault(CARTESIAN)
p = mdb.models['Geneva'].parts['slot0']
a.Instance(name='slot0-1', part=p, dependent=OFF)
a = mdb.models['Geneva'].rootAssembly
p = mdb.models['Geneva'].parts['pin']
a.Instance(name='pin-1', part=p, dependent=OFF)
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(10.18, 5.6935,
    15.657), cameraUpVector=(-0.46525, 0.78118, -0.4163))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(14.386, 12.54,
    0.79872), cameraUpVector=(-0.8415, 0.42848, 0.32905))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(11.05, 8.0883,
    13.847), cameraUpVector=(-0.6679, -0.60384, 0.43508))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(11.05, 8.0883,
    13.847), cameraUpVector=(0.058299, 0.52738, -0.84763))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(1.3978,
    -5.6261, 18.584), cameraUpVector=(0.37416, 0.92356, -0.083892))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(2.8315,
    -17.995, 5.8488), cameraUpVector=(0.21193, 0.60214, 0.76975))
session.viewports['Viewport: 1'].view.setValues(cameraUpVector=(-0.11303,
    0.5714, 0.81285))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(1.8755,
    -18.834, 0.82396), cameraUpVector=(-0.011344, 0.34278, 0.93935))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setProjection(projection=PARALLEL)
a = mdb.models['Geneva'].rootAssembly
p2 = a.instances['pin-1']
p2.rotateAboutAxis(axisPoint=(0.0, 0.0, 0.0), axisDirection=(1.0, 0.0, 0.0),
    angle=180.0)
#: The instance pin-1 was rotated by 180 degrees about the axis defined by the point 0, 0, 0 and the vector 1, 1, 1
a = mdb.models['Geneva'].rootAssembly
p2 = a.instances['pin-1']
p2.translate(vector=(0.0, 0.0, 1.5))
#: The instance pin-1 was translated by 0, 0, 1.5 w/respect to the Assembly CS
a = mdb.models['Geneva'].rootAssembly
p2 = a.instances['pin-1']
p2.translate(vector=(4.24264069, 0.0, 0.0))
#: The instance pin-1 was translated by 4.24264, 0, 0 w/respect to the Assembly CS
a = mdb.models['Geneva'].rootAssembly
p2 = a.instances['slot0-1']
p2.rotateAboutAxis(axisPoint=(0.0, 0.0, 0.0), axisDirection=(0.0, 0.0, 1.0),
    angle=-45.0)
#: The instance slot0-1 was rotated by -45 degrees about the axis defined by the point 0, 0, 0 and the vector 0, 0, 0
import part
import regionToolset
import displayGroupMdbToolset as dgm
p = mdb.models['Geneva'].parts['slot0']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p1 = mdb.models['Geneva'].parts['pin']
c, v, e, d = p1.cells, p1.vertices, p1.edges, p1.datums
cells =(c.findAt((2.951136, -0.037493, 1.5), ), )
p1.PartitionCellByPlaneThreePoints(point1=v.findAt((-2.121096,
    0.030844, 0.5), ), point2=v.findAt((1.092582, -1.818314,
    0.5), ), cells=cells,
    point3=p1.InterestingPoint(edge=e.findAt((1.637074, 1.468874, 0.5),
    ), rule=MIDDLE))
import mesh
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Geneva'].rootAssembly
a.regenerate()
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
session.viewports['Viewport: 1'].view.fitView()
a = mdb.models['Geneva'].rootAssembly
partInstances =(a.instances['slot0-1'], a.instances['pin-1'], )
a.seedPartInstance(regions=partInstances, size=0.27)
#: Global seeds have been assigned.
a = mdb.models['Geneva'].rootAssembly
e01 = a.instances['pin-1'].edges
edges =e01.findAt((
    7.171931, -0.070711, 1.0), ), e01.findAt((
    7.313352, 0.07071, 1.0), )
a.seedEdgeBySize(edges=edges, size=0.05)
a = mdb.models['Geneva'].rootAssembly
c01 = a.instances['slot0-1'].cells
c02 = a.instances['pin-1'].cells
regions =(c01.findAt((
    1.386211, -2.540417, 0.0), ), c02.findAt((
    7.544154, 0.113241, 1.5), ), c02.findAt((
    7.193777, 0.037493, 0.0), ))
a.setMeshControls(regions=regions, elemShape=TET, technique=FREE)
elemType1 = mesh.ElemType(elemCode=C3D8R, elemLibrary=STANDARD)
elemType2 = mesh.ElemType(elemCode=C3D6, elemLibrary=STANDARD)
elemType3 = mesh.ElemType(elemCode=C3D4, elemLibrary=STANDARD)
a = mdb.models['Geneva'].rootAssembly
c1 = a.instances['slot0-1'].cells
cells1 = c1[0:1]
c2 = a.instances['pin-1'].cells
cells2 = c2[0:2]
regions =(c1.findAt(((
    1.386211, -2.540417, 0.0), ), )+c2.findAt(((
    7.544154, 0.113241, 1.5), ), ((7.193777, 0.037493, 0.0), ), ), )
a.setElementType(regions=regions, elemTypes=(elemType1, elemType2, elemType3))
a = mdb.models['Geneva'].rootAssembly
partInstances =(a.instances['slot0-1'], a.instances['pin-1'], )
a.generateMesh(regions=partInstances)
session.viewports['Viewport: 1'].view.fitView()
a = mdb.models['Geneva'].rootAssembly
c11 = a.instances['slot0-1'].cells
c12 = a.instances['pin-1'].cells
regions =(c11.findAt((
    1.386211, -2.540417, 0.0), ), c12.findAt((
    7.544154, 0.113241, 1.5), ), c12.findAt((
    7.193777, 0.037493, 0.0), ))
a.deleteMesh(regions=regions)
a = mdb.models['Geneva'].rootAssembly
c01 = a.instances['slot0-1'].cells
c02 = a.instances['pin-1'].cells
regions =(c01.findAt((
    1.386211, -2.540417, 0.0), ), c02.findAt((
    7.544154, 0.113241, 1.5), ), c02.findAt((
    7.193777, 0.037493, 0.0), ))
a.setMeshControls(regions=regions, elemShape=HEX, technique=SWEEP)
elemType1 = mesh.ElemType(elemCode=C3D8R, elemLibrary=STANDARD)
elemType2 = mesh.ElemType(elemCode=C3D6, elemLibrary=STANDARD)
elemType3 = mesh.ElemType(elemCode=C3D4, elemLibrary=STANDARD)
a = mdb.models['Geneva'].rootAssembly
c1 = a.instances['slot0-1'].cells
cells1 = c1[0:1]
c2 = a.instances['pin-1'].cells
cells2 = c2[0:2]
regions =((c1.findAt(((
    1.386211, -2.540417, 0.0), ), )+c2.findAt(((
    7.544154, 0.113241, 1.5), ), ((7.193777, 0.037493, 0.0), ), ), ))
a.setElementType(regions=regions, elemTypes=(elemType1, elemType2, elemType3))
a = mdb.models['Geneva'].rootAssembly
partInstances =(a.instances['slot0-1'], a.instances['pin-1'], )
a.generateMesh(regions=partInstances)
session.viewports['Viewport: 1'].view.fitView()
import part
import regionToolset
import displayGroupMdbToolset as dgm
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p1 = mdb.models['Geneva'].parts['pin']
v, e, d, n = p1.vertices, p1.edges, p1.datums, p1.nodes
p1.ReferencePoint(point=p1.InterestingPoint(edge=e.findAt((0.027785, -2.121138, 0.5),
    ), rule=CENTER))
p = mdb.models['Geneva'].parts['slot0']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p1 = mdb.models['Geneva'].parts['slot0']
v, e, d, n = p1.vertices, p1.edges, p1.datums, p1.nodes
p1.ReferencePoint(point=p1.InterestingPoint(edge=e.findAt((0.696989, -2.917911,
    1.0), ), rule=CENTER))
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Geneva'].rootAssembly
a.regenerate()
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
a = mdb.models['Geneva'].rootAssembly
s1 = a.instances['pin-1'].faces
region1=regionToolset.Region(side1Faces=s1.findAt(
    ((7.6003, -0.069193, 1.0), (0.0, 0.0, -1.0)), ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['pin-1'].referencePoints
refPoints1=(r1[6], )
region2=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].Tie(name='Constraint-1', master=region1, slave=region2,
    positionToleranceMethod=COMPUTED, adjust=ON, tieRotations=ON)
a = mdb.models['Geneva'].rootAssembly
s1 = a.instances['slot0-1'].faces
region1=regionToolset.Region(side1Faces=s1.findAt(
    ((-1.386183, -2.540435, 1.0), (0.0, 0.0, 1.0)), ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['slot0-1'].referencePoints
refPoints1=(r1[11], )
region2=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].Tie(name='Constraint-2', master=region1, slave=region2,
    positionToleranceMethod=COMPUTED, adjust=ON, tieRotations=ON)
mdb.models['Geneva'].ContactProperty('pin-slot-interaction-property')
mdb.models['Geneva'].interactionProperties['pin-slot-interaction-property'].TangentialBehavior(
    formulation=FRICTIONLESS)
mdb.models['Geneva'].interactionProperties['pin-slot-interaction-property'].NormalBehavior(
    pressureOverclosure=HARD, allowSeparation=ON)
#: The interaction property "pin-slot-interaction-property" has been created.
a = mdb.models['Geneva'].rootAssembly
s1 = a.instances['slot0-1'].faces
region1=regionToolset.Region(side1Faces=s1.findAt(
    ((1.316062, -2.578916, 0.666667), (0.514448, -0.857522, 0.0)), ((1.386211,
    -2.540417, 0.0), (0.0, 0.0, -1.0)), ((-1.478216, -2.610532, 0.666667), (
    -0.963727, -0.266889, 0.0)), ((-2.578916, -1.316062, 0.666667), (-0.857522,
    -0.514448, 0.0)), ((-2.612505, 1.474727, 0.333333), (-0.268177, 0.96337,
    0.0)), ((-1.41883, 2.524231, 0.666667), (-0.549524, 0.835478, 0.0)), ((
    1.375769, 2.665945, 0.333333), (0.952641, 0.304097, 0.0)), ((2.579112,
    1.315768, 0.666667), (0.857508, 0.51447, 0.0)), ((2.610671, -1.477971,
    0.333333), (0.26698, -0.963702, 0.0)), ((-1.342143, -1.165793, 0.333333), (
    0.707107, -0.707107, 0.0)), ((-1.598114, -1.775318, 0.333333), (-0.707107,
    0.707107, 0.0)), ((-0.901364, -0.725685, 0.666667), (0.329039, -0.944316,
    0.0)), ((-1.386183, -2.540435, 1.0), (0.0, 0.0, 1.0)), ((1.478245,
    -2.610515, 0.666667), (-0.266879, -0.96373, 0.0)), ((-2.610499, -1.478275,
    0.333333), (-0.963733, 0.266868, 0.0)), ((-1.191293, 1.316644, 0.333333), (
    -0.707107, -0.707107, 0.0)), ((-1.799853, 1.571651, 0.333333), (0.707107,
    0.707107, 0.0)), ((-0.750731, 0.875413, 0.666667), (-0.934898, -0.354916,
    0.0)), ((-1.574158, 2.553826, 0.666667), (0.23091, 0.972975, 0.0)), ((
    1.300251, 1.173996, 0.333333), (-0.707107, 0.707107, 0.0)), ((1.563699,
    1.790997, 0.333333), (0.707107, -0.707107, 0.0)), ((0.850604, 0.725018,
    0.666667), (-0.35366, 0.935374, 0.0)), ((2.608708, 1.481432, 0.333333), (
    0.964055, -0.265702, 0.0)), ((0.699757, -0.875865, 0.666667), (0.944932,
    0.327266, 0.0)), ((1.589762, -1.766539, 0.666667), (0.707107, 0.707107,
    0.0)), ((1.766539, -1.589762, 0.333333), (-0.707107, -0.707107, 0.0)), ))
a = mdb.models['Geneva'].rootAssembly
s1 = a.instances['pin-1'].faces
# in 6.5...
#region2=regionToolset.Region(side1Faces=s1.findAt(
region2=regionToolset.Region(side2Faces=s1.findAt(
    ((7.144164, -0.017389, 0.333333), (0.999991, 0.004196, 0.0)), ))
mdb.models['Geneva'].SurfaceToSurfaceContactStd(name='pin-slot-interaction',
    createStepName='Initial', master=region1, slave=region2, sliding=FINITE,
    interactionProperty='pin-slot-interaction-property', adjustMethod=NONE)
#: The interaction "pin-slot-interaction" has been created.
import step
import regionToolset
import displayGroupMdbToolset as dgm
mdb.models['Geneva'].StaticStep(name='Step-1', previous='Initial',
    initialInc=0.01, maxInc=0.01)
import load
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['pin-1'].referencePoints
refPoints1=(r1[6], )
region = regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].DisplacementBC(name='BC-1', createStepName='Step-1',
    region=region, u1=0.0, u2=0.0, u3=0.0, ur1=0.0, ur2=0.0, ur3=6.0,
    amplitude=UNSET, fixed=OFF, distributionType=UNIFORM, localCsys=None)
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['slot0-1'].referencePoints
refPoints1=(r1[11], )
region = regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].DisplacementBC(name='BC-2', createStepName='Step-1',
    region=region, u1=0.0, u2=0.0, u3=0.0, ur1=0.0, ur2=0.0, ur3=UNSET,
    amplitude=UNSET, fixed=OFF, distributionType=UNIFORM, localCsys=None)
mdb.models['Geneva'].steps['Step-1'].setValues(
    stabilizationMethod=DISSIPATED_ENERGY_FRACTION,
    stabilizationMagnitude=0.0002, nlgeom=ON)
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
del mdb.models['Geneva'].constraints['Constraint-1']
del mdb.models['Geneva'].constraints['Constraint-2']
a = mdb.models['Geneva'].rootAssembly
c1 = a.instances['slot0-1'].cells
cells1 = c1[0:1]
region2=regionToolset.Region(cells=c1.findAt((
    (1.386211, -2.540417, 0.0), ), ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['slot0-1'].referencePoints
refPoints1=(r1[11], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].RigidBody(name='Constraint-1', refPointRegion=region1,
    bodyRegion=region2)
a = mdb.models['Geneva'].rootAssembly
c1 = a.instances['pin-1'].cells
cells1 = c1[0:1]
region2=regionToolset.Region(cells=c1.findAt(((
    7.544154, 0.113241, 1.5), ), ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['pin-1'].referencePoints
refPoints1=(r1[6], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].RigidBody(name='Constraint-2', refPointRegion=region1,
    bodyRegion=region2)
import part
import regionToolset
import displayGroupMdbToolset as dgm
p = mdb.models['Geneva'].parts['slot0']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
s = mdb.models['Geneva'].Sketch(name='__profile__', sheetSize=20.0)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=20.0, gridSpacing=0.5, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=0.5,
    decimalPlaces=6)
s.setPrimaryObject(option=STANDALONE)
s.HorizontalConstructionLine(point=(0.0, 0.025))
s.HorizontalConstructionLine(point=(0.0, -0.025))
s.HorizontalConstructionLine(point=(0.025, 0.0))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.fitView()
s.VerticalConstructionLine(point=(0.025, 0.0))
s.VerticalConstructionLine(point=(-0.025, 0.0))
s.VerticalConstructionLine(point=(0.0, 0.0))
session.viewports['Viewport: 1'].view.fitView()
s.ConstructionCircleByCenterPerimeter(center=(0.0, 0.0), point1=(3.0, 0.0))
s.ConstructionCircleByCenterPerimeter(center=(0.0, 0.0), point1=(1.0, 0.0))
s.ConstructionCircleByCenterPerimeter(center=(0.0, 0.0), point1=(1.025, 0.0))
s.ConstructionCircleByCenterPerimeter(center=(3.0, 3.0), point1=(3.0,
    0.87867965644))
s.ConstructionCircleByCenterPerimeter(center=(3.0, -3.0), point1=(3.0,
    -0.87867965644))
s.ConstructionCircleByCenterPerimeter(center=(-3.0, 3.0), point1=(-3.0,
    0.87867965644))
s.ConstructionCircleByCenterPerimeter(center=(-3.0, -3.0), point1=(-3.0,
    -0.87867965644))
s.Line(point1=(2.99989583152482, -0.0249999999999992), point2=(
    1.02469507659596, -0.0249999999999992))
s.ArcByCenterEnds(center=(1.025, 0.0), point1=(1.02469507659596,
    -0.0249999999999992), point2=(1.02469507659596, 0.0249999999999996))
session.viewports['Viewport: 1'].view.fitView()
s.Line(point1=(1.02469507659596, 0.0249999999999992), point2=(
    2.99989583152482, 0.0249999999999992))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.fitView()
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(2.86715674164933,
    0.882843258350413), point2=(2.99989583152482, 0.0249999999999992))
session.viewports['Viewport: 1'].view.fitView()
s.ArcByCenterEnds(center=(3.0, 3.0), point1=(2.86715674164933,
    0.882843258350413), point2=(0.882843258350413, 2.86715674164933))
session.viewports['Viewport: 1'].view.setValues(width=1.1362, height=0.72636,
    cameraPosition=(0.035147, -0.023431, 29.54), cameraTarget=(0.035147,
    -0.023431, 0.5))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(width=0.98961, height=0.63263,
    cameraPosition=(0.035147, 3.0226, 29.54), cameraTarget=(0.035147, 3.0226,
    0.5))
session.viewports['Viewport: 1'].view.fitView()
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(0.0249999999999992,
    2.99989583152482), point2=(0.882843258350413, 2.86715674164933))
session.viewports['Viewport: 1'].view.setValues(width=1.1362, height=0.72636,
    cameraPosition=(-0.035146, 2.9523, 29.54), cameraTarget=(-0.035146,
    2.9523, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-0.031981,
    2.2671, 29.54), cameraTarget=(-0.031981, 2.2671, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-0.022486,
    1.5866, 29.54), cameraTarget=(-0.022486, 1.5866, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-0.016156,
    0.98051, 29.54), cameraTarget=(-0.016156, 0.98051, 0.5))
s.Line(point1=(0.0249999999999992, 2.99989583152482), point2=(
    0.0249999999999992, 1.02469507659596))
s.ArcByCenterEnds(center=(0.0, 1.025), point1=(0.0249999999999992,
    1.02469507659596), point2=(-0.0249999999999996, 1.02469507659596))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-0.030398,
    1.5629, 29.54), cameraTarget=(-0.030398, 1.5629, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-0.039893,
    2.2355, 29.54), cameraTarget=(-0.039893, 2.2355, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-0.054135,
    2.8448, 29.54), cameraTarget=(-0.054135, 2.8448, 0.5))
s.Line(point1=(-0.0249999999999992, 1.02469507659596), point2=(
    -0.0249999999999992, 2.99989583152482))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(width=1.1729, height=0.74979,
    cameraPosition=(0.011716, 0.011716, 29.54), cameraTarget=(0.011716,
    0.011716, 0.5))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(width=0.98961, height=0.63263,
    cameraPosition=(-0.046861, 3.0694, 29.54), cameraTarget=(-0.046861,
    3.0694, 0.5))
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(-0.882843258350413,
    2.86715674164933), point2=(-0.0249999999999992, 2.99989583152482))
session.viewports['Viewport: 1'].view.fitView()
s.ArcByCenterEnds(center=(-3.0, 3.0), point1=(-0.882843258350413,
    2.86715674164933), point2=(-2.86715674164933, 0.882843258350414))
session.viewports['Viewport: 1'].view.setValues(width=1.0263, height=0.65606,
    cameraPosition=(-0.023431, 0.082008, 29.54), cameraTarget=(-0.023431,
    0.082008, 0.5))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(width=0.98961, height=0.63263,
    cameraPosition=(-2.9874, 0.023431, 29.54), cameraTarget=(-2.9874,
    0.023431, 0.5))
session.viewports['Viewport: 1'].view.fitView()
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(-2.99989583152482,
    0.0249999999999992), point2=(-2.86715674164933, 0.882843258350413))
session.viewports['Viewport: 1'].view.setValues(width=0.87965, height=0.56234,
    cameraPosition=(-3.046, 0.035146, 29.54), cameraTarget=(-3.046, 0.035146,
    0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-2.3624,
    0.025345, 29.54), cameraTarget=(-2.3624, 0.025345, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-1.62,
    0.025345, 29.54), cameraTarget=(-1.62, 0.025345, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-1.0393,
    0.020444, 29.54), cameraTarget=(-1.0393, 0.020444, 0.5))
s.Line(point1=(-2.99989583152482, 0.0249999999999992), point2=(
    -1.02469507659596, 0.0249999999999992))
s.ArcByCenterEnds(center=(-1.025, 0.0), point1=(-1.02469507659596,
    0.0249999999999992), point2=(-1.02469507659596, -0.0249999999999992))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-1.5355,
    0.021669, 29.54), cameraTarget=(-1.5355, 0.021669, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-2.137,
    0.035146, 29.54), cameraTarget=(-2.137, 0.035146, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-2.7679,
    0.038821, 29.54), cameraTarget=(-2.7679, 0.038821, 0.5))
s.Line(point1=(-1.02469507659596, -0.0249999999999992), point2=(
    -2.99989583152482, -0.0249999999999992))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(width=0.69639, height=0.44519,
    cameraPosition=(0.023431, -0.023431, 29.54), cameraTarget=(0.023431,
    -0.023431, 0.5))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(width=0.65974, height=0.42176,
    cameraPosition=(-2.964, 0.058577, 29.54), cameraTarget=(-2.964, 0.058577,
    0.5))
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(-2.86715674164933,
    -0.882843258350414), point2=(-2.99989583152482, -0.0249999999999992))
session.viewports['Viewport: 1'].view.fitView()
s.ArcByCenterEnds(center=(-3.0, -3.0), point1=(-2.86715674164933,
    -0.882843258350414), point2=(-0.882843258350413, -2.86715674164933))
session.viewports['Viewport: 1'].view.setValues(width=1.1362, height=0.72636,
    cameraPosition=(0.058578, -0.023431, 29.54), cameraTarget=(0.058578,
    -0.023431, 0.5))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(width=0.87965, height=0.56234,
    cameraPosition=(-0.035146, -2.9874, 29.54), cameraTarget=(-0.035146,
    -2.9874, 0.5))
session.viewports['Viewport: 1'].view.fitView()
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(-0.0249999999999992,
    -2.99989583152482), point2=(-0.882843258350414, -2.86715674164933))
session.viewports['Viewport: 1'].view.setValues(width=0.95296, height=0.6092,
    cameraPosition=(3.2783e-007, -2.964, 29.54), cameraTarget=(3.2783e-007,
    -2.964, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-0.014599,
    -2.5366, 29.54), cameraTarget=(-0.014599, -2.5366, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-0.025217,
    -2.0747, 29.54), cameraTarget=(-0.025217, -2.0747, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-0.02389,
    -1.5969, 29.54), cameraTarget=(-0.02389, -1.5969, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-0.02389,
    -1.1045, 29.54), cameraTarget=(-0.02389, -1.1045, 0.5))
s.Line(point1=(-0.0249999999999992, -2.99989583152482), point2=(
    -0.0249999999999992, -1.02469507659596))
s.ArcByCenterEnds(center=(0.0, -1.025), point1=(-0.0249999999999992,
    -1.02469507659596), point2=(0.0249999999999992, -1.02469507659596))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-0.011945,
    -1.5996, 29.54), cameraTarget=(-0.011945, -1.5996, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(0.0026547,
    -2.0256, 29.54), cameraTarget=(0.0026547, -2.0256, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(0.035836,
    -2.4556, 29.54), cameraTarget=(0.035836, -2.4556, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(0.047781,
    -2.9069, 29.54), cameraTarget=(0.047781, -2.9069, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(0.043799,
    -3.3967, 29.54), cameraTarget=(0.043799, -3.3967, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(0.042472,
    -3.8652, 29.54), cameraTarget=(0.042472, -3.8652, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(0.037163,
    -3.7471, 29.54), cameraTarget=(0.037163, -3.7471, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(0.03849,
    -3.2481, 29.54), cameraTarget=(0.03849, -3.2481, 0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(0.041144,
    -3.0729, 29.54), cameraTarget=(0.041144, -3.0729, 0.5))
s.Line(point1=(0.0249999999999992, -1.02469507659596), point2=(
    0.0249999999999992, -2.99989583152482))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(width=0.87965, height=0.56234,
    cameraPosition=(-0.023431, -0.011715, 29.54), cameraTarget=(-0.023431,
    -0.011715, 0.5))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(width=0.69639, height=0.44519,
    cameraPosition=(-0.035146, -2.9992, 29.54), cameraTarget=(-0.035146,
    -2.9992, 0.5))
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(0.882843258350413,
    -2.86715674164933), point2=(0.0249999999999992, -2.99989583152482))
session.viewports['Viewport: 1'].view.fitView()
s.ArcByCenterEnds(center=(3.0, -3.0), point1=(0.882843258350413,
    -2.86715674164933), point2=(2.86715674164933, -0.882843258350413))
session.viewports['Viewport: 1'].view.setValues(width=1.2828, height=0.82008,
    cameraPosition=(-0.058577, 0.046862, 29.54), cameraTarget=(-0.058577,
    0.046862, 0.5))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(width=1.2828, height=0.82008,
    cameraPosition=(3.0109, 0.093724, 29.54), cameraTarget=(3.0109, 0.093724,
    0.5))
session.viewports['Viewport: 1'].view.fitView()
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(2.99989583152482,
    -0.0249999999999992), point2=(2.86715674164933, -0.882843258350413))
session.viewports['Viewport: 1'].view.setValues(width=0.80635, height=0.51548,
    cameraPosition=(-0.023431, 1.0661, 29.54), cameraTarget=(-0.023431,
    1.0661, 0.5))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(width=0.95296, height=0.6092,
    cameraPosition=(-1.1013, -0.035146, 29.54), cameraTarget=(-1.1013,
    -0.035146, 0.5))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(width=0.843, height=0.53891,
    cameraPosition=(-0.070292, -0.93723, 29.54), cameraTarget=(-0.070292,
    -0.93723, 0.5))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(width=0.80635, height=0.51548,
    cameraPosition=(0.99581, 0.058577, 29.54), cameraTarget=(0.99581,
    0.058577, 0.5))
session.viewports['Viewport: 1'].view.fitView()
p = mdb.models['Geneva'].Part(name='slot1', dimensionality=THREE_D,
    type=ANALYTIC_RIGID_SURFACE)
p = mdb.models['Geneva'].parts['slot1']
p.AnalyticRigidSurfExtrude(sketch=s, depth=1.0)
s.unsetPrimaryObject()
p = mdb.models['Geneva'].parts['slot1']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Geneva'].sketches['__profile__']
import assembly
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
a = mdb.models['Geneva'].rootAssembly
p = mdb.models['Geneva'].parts['slot1']
a.Instance(name='slot1-1', part=p, dependent=OFF)
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-21.222,
    1.3276, 19.166), cameraUpVector=(0.26507, 0.92844, 0.26027))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(3.5642,
    -0.29058, 30.073), cameraUpVector=(0.21963, 0.97558, -0.0038344))
a = mdb.models['Geneva'].rootAssembly
p1 = a.instances['slot1-1']
p1.rotateAboutAxis(axisPoint=(0.0, 0.0, 0.0), axisDirection=(0.0, 0.0, 1.0),
    angle=-45.0)
#: The instance slot1-1 was rotated by -45 degrees about the axis defined by the point 0, 0, 0 and the vector 0, 0, 0
import part
import regionToolset
import displayGroupMdbToolset as dgm
p = mdb.models['Geneva'].parts['slot1']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
s = mdb.models['Geneva'].Sketch(name='__profile__', sheetSize=20.0)
g, v, d = s.geometry, s.vertices, s.dimensions
s.sketchOptions.setValues(sheetSize=20.0, gridSpacing=0.5, grid=ON,
    gridFrequency=2, constructionGeometry=ON, dimensionTextHeight=0.5,
    decimalPlaces=6)
s.setPrimaryObject(option=STANDALONE)
mdb.models['Geneva'].sketches['__profile__'].sketchOptions.setValues(
    sheetSize=20.0, gridSpacing=0.5, grid=ON, gridFrequency=2,
    constructionGeometry=ON, dimensionTextHeight=0.5, decimalPlaces=6,
    gridSnap=OFF, preselection=ON)
s.HorizontalConstructionLine(point=(0.0, 0.0))
s.HorizontalConstructionLine(point=(0.0, 0.125))
s.HorizontalConstructionLine(point=(0.0, -0.125))
s.VerticalConstructionLine(point=(0.0, 0.0))
s.VerticalConstructionLine(point=(0.125, 0.0))
s.VerticalConstructionLine(point=(-0.125, 0.0))
s.ConstructionCircleByCenterPerimeter(center=(0.0, 0.0), point1=(3.0, 0.0))
s.ConstructionCircleByCenterPerimeter(center=(3.0, 3.0), point1=(3.0,
    0.87867965644))
s.ConstructionCircleByCenterPerimeter(center=(-3.0, 3.0), point1=(-3.0,
    0.87867965644))
s.ConstructionCircleByCenterPerimeter(center=(3.0, -3.0), point1=(3.0,
    -0.87867965644))
s.ConstructionCircleByCenterPerimeter(center=(-3.0, -3.0), point1=(-3.0,
    -0.87867965644))
s.ConstructionCircleByCenterPerimeter(center=(0.0, 0.0), point1=(1.0, 0.0))
s.Line(point1=(-2.99739470207045, -0.125), point2=(-0.992156741649222, -0.125))
session.viewports['Viewport: 1'].view.setValues(width=10.695, height=6.8369,
    cameraPosition=(-0.064703, -0.12941, 18.856), cameraTarget=(-0.064703,
    -0.12941, 0))
s.ArcByCenterEnds(center=(-1.0, 0.0), point1=(-0.992156741649222, 0.125),
    point2=(-0.992156741649222, -0.125))
s.Line(point1=(-2.99739470207045, 0.125), point2=(-0.992156741649222, 0.125))
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(-2.99739470207045, 0.125),
    point2=(-2.86715674164933, 0.882843258350414))
s.ArcByCenterEnds(center=(-3.0, 3.0), point1=(-0.882843258350413,
    2.86715674164933), point2=(-2.86715674164933, 0.882843258350415))
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(-0.882843258350413,
    2.86715674164933), point2=(-0.125, 2.99739470207045))
s.Line(point1=(-0.125, 2.99739470207045), point2=(-0.125, 0.992156741649221))
s.ArcByCenterEnds(center=(0.0, 1.0), point1=(0.125, 0.992156741649222),
    point2=(-0.125, 0.992156741649221))
s.Line(point1=(0.125, 0.992156741649222), point2=(0.125, 2.99739470207045))
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(0.125, 2.99739470207045), point2=(
    0.882843258350413, 2.86715674164933))
s.ArcByCenterEnds(center=(3.0, 3.0), point1=(2.86715674164933,
    0.882843258350413), point2=(0.882843258350414, 2.86715674164933))
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(2.86715674164933,
    0.882843258350413), point2=(3.0, 0.0))
s.delete(objectList=(g[66], ))
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(2.86715674164933,
    0.882843258350413), point2=(2.99739470207045, 0.125))
s.Line(point1=(2.99739470207045, 0.125), point2=(0.992156741649221, 0.125))
s.ArcByCenterEnds(center=(1.0, 0.0), point1=(0.992156741649222, -0.125),
    point2=(0.992156741649221, 0.125))
s.Line(point1=(0.992156741649222, -0.125), point2=(2.99739470207045, -0.125))
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(2.99739470207045, -0.125),
    point2=(2.86715674164933, -0.882843258350413))
s.ArcByCenterEnds(center=(3.0, -3.0), point1=(0.882843258350413,
    -2.86715674164933), point2=(2.86715674164933, -0.882843258350414))
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(0.882843258350413,
    -2.86715674164933), point2=(0.125, -2.99739470207045))
s.Line(point1=(0.125, -2.99739470207045), point2=(0.125, -0.992156741649221))
s.ArcByCenterEnds(center=(0.0, -1.0), point1=(-0.125, -0.992156741649222),
    point2=(0.125, -0.992156741649221))
s.Line(point1=(-0.125, -0.992156741649222), point2=(-0.125, -2.99739470207045))
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(-0.125, -2.99739470207045),
    point2=(-0.882843258350413, -2.86715674164933))
s.ArcByCenterEnds(center=(-3.0, -3.0), point1=(-2.86715674164933,
    -0.882843258350414), point2=(-0.882843258350414, -2.86715674164933))
s.ArcByCenterEnds(center=(0.0, 0.0), point1=(-2.86715674164933,
    -0.882843258350414), point2=(-2.99739470207045, -0.125))
p = mdb.models['Geneva'].Part(name='slot2', dimensionality=THREE_D,
    type=DEFORMABLE_BODY)
p = mdb.models['Geneva'].parts['slot2']
p.BaseSolidExtrude(sketch=s, depth=1.0)
s.unsetPrimaryObject()
p = mdb.models['Geneva'].parts['slot2']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Geneva'].sketches['__profile__']
import assembly
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
a = mdb.models['Geneva'].rootAssembly
p = mdb.models['Geneva'].parts['slot2']
a.Instance(name='slot2-1', part=p, dependent=OFF)
a = mdb.models['Geneva'].rootAssembly
a.features['slot0-1'].suppress()
a0 = mdb.models['Geneva'].rootAssembly
p1 = a0.instances['slot2-1']
p1.rotateAboutAxis(axisPoint=(0.0, 0.0, 0.0), axisDirection=(0.0, 0.0, 1.0),
    angle=-45.0)
#: The instance slot2-1 was rotated by -45 degrees about the axis defined by the point 0, 0, 0 and the vector 0, 0, 0
p = mdb.models['Geneva'].parts['slot2']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['Geneva'].parts['slot1']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p1 = mdb.models['Geneva'].parts['slot1']
v0, e, d0, n = p1.vertices, p1.edges, p1.datums, p1.nodes
p1.ReferencePoint(point=p1.InterestingPoint(edge=e.findAt((2.923637, -0.672567,
    0.5), ), rule=CENTER))
p = mdb.models['Geneva'].parts['slot2']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
a0 = mdb.models['Geneva'].rootAssembly
a0.regenerate()
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
a = mdb.models['Geneva'].rootAssembly
c1 = a.instances['slot2-1'].cells
cells1 = c1[0:1]
region2=regionToolset.Region(cells=c1.findAt((
    (-0.781817, 0.606584, 0.666667), ), ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['slot1-1'].referencePoints
refPoints1=(r1[2], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].RigidBody(name='Constraint-3', refPointRegion=region1,
    bodyRegion=region2)
import mesh
import regionToolset
import displayGroupMdbToolset as dgm
a0 = mdb.models['Geneva'].rootAssembly
c1 = a0.instances['pin-1'].cells
regions =(c1.findAt((
    7.544154, 0.113241, 1.5), ), c1.findAt((
    7.193777, 0.037493, 0.0), ))
a0.deleteMesh(regions=regions)
a0 = mdb.models['Geneva'].rootAssembly
partInstances =(a0.instances['pin-1'], a0.instances['slot1-1'],
    a0.instances['slot2-1'], )
a0.generateMesh(regions=partInstances)
a0 = mdb.models['Geneva'].rootAssembly
partInstances =(a0.instances['slot2-1'], )
a0.seedPartInstance(regions=partInstances, size=0.28)
#: Global seeds have been assigned.
elemType1 = mesh.ElemType(elemCode=C3D8R, elemLibrary=STANDARD)
elemType2 = mesh.ElemType(elemCode=C3D6, elemLibrary=STANDARD)
elemType3 = mesh.ElemType(elemCode=C3D4, elemLibrary=STANDARD)
a0 = mdb.models['Geneva'].rootAssembly
c1 = a0.instances['slot2-1'].cells
cells1 = c1[0:1]
regions =(c1.findAt(((
    -0.781817, 0.606584, 0.666667), ), ), )
a0.setElementType(regions=regions, elemTypes=(elemType1, elemType2, elemType3))
a0 = mdb.models['Geneva'].rootAssembly
partInstances =(a0.instances['slot2-1'], )
a0.generateMesh(regions=partInstances)
session.viewports['Viewport: 1'].view.setValues(width=1.2145, height=0.7764,
    cameraPosition=(7.2237, 0.087345, 30.14), cameraTarget=(7.2237, 0.087345,
    0.5))
session.viewports['Viewport: 1'].view.setValues(width=0.44452, height=0.28417,
    cameraPosition=(7.2457, 0.001924, 30.14), cameraTarget=(7.2457, 0.001924,
    0.5))
session.viewports['Viewport: 1'].view.fitView()
p = mdb.models['Geneva'].parts['slot2']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
session.viewports['Viewport: 1'].view.setValues(width=1.2449, height=0.79581,
    cameraPosition=(7.1946, 0.03882, 30.14), cameraTarget=(7.1946, 0.03882,
    0.5))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(14.95, 5.2208,
    28.634), cameraUpVector=(-0.094424, 0.98338, -0.1551))
a1 = mdb.models['Geneva'].rootAssembly
c01 = a1.instances['pin-1'].cells
regions =(c01.findAt((
    7.544154, 0.113241, 1.5), ), c01.findAt((
    7.193777, 0.037493, 0.0), ))
a1.deleteMesh(regions=regions)
a = mdb.models['Geneva'].rootAssembly
c01 = a.instances['pin-1'].cells
cells =(c01[0], )
f1 = a.instances['pin-1'].faces
a = mdb.models['Geneva'].rootAssembly
c01 = a.instances['pin-1'].cells
cells =(c01[0], )
v11 = a.instances['pin-1'].vertices
e01 = a.instances['pin-1'].edges
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(29.425,
    19.427, -2.4028), cameraUpVector=(-0.65034, 0.75631, 0.071159))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(8.5493, 27.07,
    -9.4776), cameraUpVector=(-0.83022, 0.3641, 0.42209))
session.viewports['Viewport: 1'].view.setValues(width=6.1637, height=3.9403,
    cameraPosition=(13.483, 26.005, -9.0061), cameraTarget=(6.6839, -1.0654,
    0.97155))
session.viewports['Viewport: 1'].view.setValues(width=1.5309, height=0.97864,
    cameraPosition=(13.678, 25.97, -8.9684), cameraTarget=(6.879, -1.1005,
    1.0093))
a = mdb.models['Geneva'].rootAssembly
e01 = a.instances['pin-1'].edges
a.DatumPointByMidPoint(point1=a.instances['pin-1'].InterestingPoint(
    edge=e01.findAt((
    7.601732, -0.347927, 1.0), ), rule=CENTER),
    point2=a.instances['pin-1'].InterestingPoint(edge=e01.findAt((
    7.171929, 0.07071, 0.0), ), rule=CENTER))
a = mdb.models['Geneva'].rootAssembly
d11 = a.datums
a.ReferencePoint(point=d11[33])
session.viewports['Viewport: 1'].view.fitView()
import load
import regionToolset
import displayGroupMdbToolset as dgm
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['Geneva'].parts['slot0']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Geneva'].parts['slot0']
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
a = mdb.models['Geneva'].rootAssembly
a.regenerate()
session.viewports['Viewport: 1'].view.setValues(width=2.8319, height=1.8103,
    cameraPosition=(13.639, 26.08, -8.694), cameraTarget=(6.8405, -0.98975,
    1.2834))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(17.353,
    0.69663, 25.691), cameraUpVector=(-0.83378, 0.2099, 0.51065))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(3.6306,
    1.4258, 30.046), cameraUpVector=(-0.97355, 0.22267, 0.051238))
session.viewports['Viewport: 1'].view.setValues(width=4.223, height=2.6996,
    cameraPosition=(0.69813, 3.7062, 30.123), cameraTarget=(-1.1824, 2.2804,
    0.5766))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-3.7666,
    2.7463, 30.101), cameraUpVector=(-0.96323, 0.25374, -0.088294))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(width=2.532, height=1.6186,
    cameraPosition=(4.73, 0.49348, 30.51), cameraTarget=(7.3142, 0.027586,
    0.98658))
session.viewports['Viewport: 1'].view.setValues(width=0.57922, height=0.37028,
    cameraPosition=(4.6432, 0.46712, 30.503), cameraTarget=(7.2274, 0.0012287,
    0.9794))
a = mdb.models['Geneva'].rootAssembly
s1 = a.instances['slot1-1'].faces
# in 6.5, need to reselect the analytical rigid surface direction
# replace side1Faces by side2Faces
#region1=regionToolset.Region(side1Faces=s1.findAt(
region1=regionToolset.Region(side2Faces=s1.findAt(
    ((-1.487898, 2.605026, 0.166667), (0.263309, 0.964711, 0.0)), ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[34], )
region2=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].interactions['pin-slot-interaction'].setValues(master=region1,
    slave=region2, adjustMethod=NONE, sliding=FINITE)
session.viewports['Viewport: 1'].view.fitView()
import load
import regionToolset
import displayGroupMdbToolset as dgm
del mdb.models['Geneva'].boundaryConditions['BC-2']
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['slot1-1'].referencePoints
refPoints1=(r1[2], )
region = regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].DisplacementBC(name='BC-2', createStepName='Step-1',
    region=region, u1=0.0, u2=0.0, u3=0.0, ur1=0.0, ur2=0.0, ur3=UNSET,
    amplitude=UNSET, fixed=OFF, distributionType=UNIFORM, localCsys=None)
import job
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
del mdb.models['Geneva'].constraints['Constraint-3']
del mdb.models['Geneva'].constraints['Constraint-2']
del mdb.models['Geneva'].constraints['Constraint-1']
session.viewports['Viewport: 1'].view.setValues(width=4.2696, height=2.7295,
    cameraPosition=(-4.1416, 2.371, 29.704), cameraTarget=(-1.5574, 1.9051,
    0.18043))
session.viewports['Viewport: 1'].view.fitView()
a = mdb.models['Geneva'].rootAssembly
c1 = a.instances['slot2-1'].cells
cells1 = c1[0:1]
region2=regionToolset.Region(cells=c1.findAt((
    (-0.781817, 0.606584, 0.666667), ), ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['slot1-1'].referencePoints
refPoints1=(r1[2], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].RigidBody(name='Constraint-1', refPointRegion=region1,
    bodyRegion=region2)
a = mdb.models['Geneva'].rootAssembly
c1 = a.instances['pin-1'].cells
cells1 = c1[0:1]
region2=regionToolset.Region(cells=c1.findAt(((
    7.544154, 0.113241, 1.5), ), ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['pin-1'].referencePoints
refPoints1=(r1[6], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].RigidBody(name='Constraint-2', refPointRegion=region1,
    bodyRegion=region2)
import mesh
import regionToolset
import displayGroupMdbToolset as dgm
elemType1 = mesh.ElemType(elemCode=C3D8R, elemLibrary=STANDARD)
elemType2 = mesh.ElemType(elemCode=C3D6, elemLibrary=STANDARD)
elemType3 = mesh.ElemType(elemCode=C3D4, elemLibrary=STANDARD)
a0 = mdb.models['Geneva'].rootAssembly
c1 = a0.instances['pin-1'].cells
cells1 = c1[0:1]
regions =(c1.findAt(
    ((7.544154, 0.113241, 1.5), ), ), )
a0.setElementType(regions=regions, elemTypes=(elemType1, elemType2, elemType3))
a0 = mdb.models['Geneva'].rootAssembly
partInstances =(a0.instances['pin-1'], )
a0.generateMesh(regions=partInstances)
import load
import regionToolset
import displayGroupMdbToolset as dgm
import job
import part
import regionToolset
import displayGroupMdbToolset as dgm
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['Geneva'].parts['slot1']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['Geneva'].parts['slot2']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['Geneva'].parts['slot1']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['Geneva'].parts['slot2']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p1 = mdb.models['Geneva'].parts['slot2']
v, e, d, n = p1.vertices, p1.edges, p1.datums, p1.nodes
p1.ReferencePoint(point=p1.InterestingPoint(edge=e.findAt((-2.917929, -0.696916,
    1.0), ), rule=CENTER))
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Geneva'].rootAssembly
a.regenerate()
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['slot2-1'].referencePoints
refPoints1=(r1[2], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].constraints['Constraint-1'].setValues(
    refPointRegion=region1)
p = mdb.models['Geneva'].parts['slot2']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p1 = mdb.models['Geneva'].parts['slot2']
r = p1.referencePoints
refPoints=(r[2], )
p1.Set(referencePoints=refPoints, name='Set-1')
#: The set "Set-1" has been created.
p = mdb.models['Geneva'].parts['slot1']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p1 = mdb.models['Geneva'].parts['slot1']
r = p1.referencePoints
refPoints=(r[2], )
p1.Set(referencePoints=refPoints, name='Set-1')
#: The set "Set-1" has been created.
import load
import regionToolset
import displayGroupMdbToolset as dgm
a0 = mdb.models['Geneva'].rootAssembly
a0.regenerate()
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
import material
import section
import regionToolset
import displayGroupMdbToolset as dgm
p = mdb.models['Geneva'].parts['slot1']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['Geneva'].parts['slot2']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p1 = mdb.models['Geneva'].parts['slot2']
c = p1.cells
cells = c[0:1]
region = regionToolset.Region(c.findAt(((-0.981748,
    -0.123909, 0.666667), ), ))
p0 = mdb.models['Geneva'].parts['slot2']
p0.SectionAssignment(region=region, sectionName='geneva_solid')
#: The section "geneva_solid" has been assigned to the selected regions.
import job
a = mdb.models['Geneva'].rootAssembly
a.regenerate()
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
import assembly
import regionToolset
import displayGroupMdbToolset as dgm
import part
import regionToolset
import displayGroupMdbToolset as dgm
p = mdb.models['Geneva'].parts['slot2']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['Geneva'].parts['slot1']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['Geneva'].parts['slot2']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
del mdb.models['Geneva'].interactions['pin-slot-interaction']
a = mdb.models['Geneva'].rootAssembly
del a.features['RP-1']
a = mdb.models['Geneva'].rootAssembly
a.backup()
a = mdb.models['Geneva'].rootAssembly
del a.features['Datum pt-1']
a = mdb.models['Geneva'].rootAssembly
a.backup()
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
session.viewports['Viewport: 1'].view.setValues(width=1.1801, height=0.70725,
    viewOffsetX=0.68829, viewOffsetY=-0.56143)
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(11.195,
    11.612, -0.063406), cameraUpVector=(-0.88185, 0.29186, -0.37036),
    cameraTarget=(1.1462, 0.051474, 0.93805))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(8.0057,
    10.719, 8.4192), cameraUpVector=(-0.77207, 0.38436, -0.50614),
    cameraTarget=(0.76669, -0.49359, 0.83783))
session.viewports['Viewport: 1'].view.setValues(width=0.28024, height=0.16795,
    viewOffsetX=0.90524, viewOffsetY=-0.5414)
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(width=0.60416, height=0.36209,
    viewOffsetX=0.21886, viewOffsetY=-0.97361)
p1 = mdb.models['Geneva'].parts['pin']
e = p1.edges
p1.DatumPointByMidPoint(point1=p1.InterestingPoint(edge=e.findAt((3.359092, 0.347927, 0.5),
    ), rule=CENTER),
    point2=p1.InterestingPoint(edge=e.findAt((2.929289, -0.07071, 1.5),
    ), rule=CENTER))
a0 = mdb.models['Geneva'].rootAssembly
a0.regenerate()
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
a = mdb.models['Geneva'].rootAssembly
d1 = a.instances['pin-1'].datums
a.ReferencePoint(point=d1[7])
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.fitView()
a = mdb.models['Geneva'].rootAssembly
s1 = a.instances['slot1-1'].faces
# in 6.5...
#region1=regionToolset.Region(side1Faces=s1.findAt(
region1=regionToolset.Region(side2Faces=s1.findAt(
    ((0.705452, -0.740638, -0.166667), (0.929376, 0.369134, 0.0)), ((1.673365,
    -1.63801, -0.166667), (-0.707107, -0.707107, 0.0)), ((2.205645, -2.033502,
    0.166667), (0.040574, -0.999177, 0.0)), ((2.578916, -1.316062, -0.166667),
    (0.772426, 0.635105, 0.0)), ((2.605026, 1.487898, -0.166667), (0.964711,
    -0.263309, 0.0)), ((1.207806, 1.17245, -0.166667), (-0.707107, 0.707107,
    0.0)), ((0.740638, 0.705452, -0.166667), (-0.369134, 0.929376, 0.0)), ((
    1.63801, 1.673365, -0.166667), (0.707107, -0.707107, 0.0)), ((2.033502,
    2.205645, -0.166667), (0.999177, 0.040574, 0.0)), ((1.316062, 2.578916,
    -0.166667), (-0.635105, 0.772426, 0.0)), ((-1.487898, 2.605026, 0.166667),
    (0.263309, 0.964711, 0.0)), ((-1.17245, 1.207806, -0.166667), (-0.707107,
    -0.707107, 0.0)), ((-0.705452, 0.740638, -0.166667), (-0.929376, -0.369134,
    0.0)), ((-1.673365, 1.63801, -0.166667), (0.707107, 0.707107, 0.0)), ((
    -2.205645, 2.033502, 0.166667), (-0.040574, 0.999177, 0.0)), ((-2.578916,
    1.316062, 0.166667), (-0.772426, -0.635105, 0.0)), ((-2.605026, -1.487898,
    -0.166667), (-0.964711, 0.263309, 0.0)), ((-1.207806, -1.17245, -0.166667),
    (0.707107, -0.707107, 0.0)), ((-0.740638, -0.705452, -0.166667), (0.369134,
    -0.929376, 0.0)), ((-1.63801, -1.673365, -0.166667), (-0.707107, 0.707107,
    0.0)), ((-2.033502, -2.205645, -0.166667), (-0.999177, -0.040574, 0.0)), ((
    -1.316062, -2.578916, -0.166667), (0.635105, -0.772426, 0.0)), ((1.487898,
    -2.605026, 0.166667), (-0.263309, -0.964711, 0.0)), ((1.17245, -1.207806,
    -0.166667), (0.707107, 0.707107, 0.0)), ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[44], )
region2=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].SurfaceToSurfaceContactStd(name='pin-slot-interaction',
    createStepName='Initial', master=region1, slave=region2, sliding=FINITE,
    interactionProperty='pin-slot-interaction-property', adjustMethod=NONE)
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Geneva'].rootAssembly
c1 = a.instances['pin-1'].cells
cells1 = c1[0:2]
region2=regionToolset.Region(cells=c1.findAt(((
    7.544154, 0.113241, 1.5), ), ((7.193777, 0.037493, 0.0), ), ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['pin-1'].referencePoints
refPoints1=(r1[6], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].constraints['Constraint-2'].setValues(
    refPointRegion=region1, bodyRegion=region2)
del mdb.models['Geneva'].constraints['Constraint-2']
a = mdb.models['Geneva'].rootAssembly
c1 = a.instances['pin-1'].cells
cells1 = c1[0:2]
region2=regionToolset.Region(cells=c1.findAt(((
    7.544154, 0.113241, 1.5), ), ((7.193777, 0.037493, 0.0), ), ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['pin-1'].referencePoints
refPoints1=(r1[6], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].RigidBody(name='Constraint-2', refPointRegion=region1,
    bodyRegion=region2)
import step
import regionToolset
import displayGroupMdbToolset as dgm
mdb.models['Geneva'].steps['Step-1'].setValues(maxNumInc=200, maxInc=0.02,
    nlgeom=ON)
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
del mdb.models['Geneva'].interactions['pin-slot-interaction']
session.viewports['Viewport: 1'].view.setValues(width=5.0254, height=3.0118,
    cameraPosition=(-4.4324, -1.3119, 28.729), cameraTarget=(-1.9376, -1.7617,
    0.22674))
session.viewports['Viewport: 1'].view.setValues(width=1.2153, height=0.72835,
    cameraPosition=(-3.9771, -1.0193, 28.764), cameraTarget=(-1.4823, -1.4691,
    0.26198))
session.viewports['Viewport: 1'].view.setValues(width=0.29919, height=0.17931,
    cameraPosition=(-3.9359, -0.95577, 28.767), cameraTarget=(-1.4411,
    -1.4056, 0.26458))
session.viewports['Viewport: 1'].view.setProjection(projection=PARALLEL)
session.viewports['Viewport: 1'].view.setValues(width=1.2631, height=0.75699,
    cameraPosition=(-1.4089, 1.514, 28.629), cameraTarget=(-1.4089, 1.514, 0))
session.viewports['Viewport: 1'].view.setValues(width=0.23666, height=0.14183,
    cameraPosition=(-1.4283, 1.4274, 28.629), cameraTarget=(-1.4283, 1.4274,
    0))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(25.552,
    14.643, 5.1661), cameraUpVector=(-0.44442, 0.83988, -0.3116))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(16.201,
    21.528, 11.834), cameraUpVector=(-0.44686, 0.64556, -0.61933))
session.viewports['Viewport: 1'].view.setValues(width=3.8216, height=2.2904,
    cameraPosition=(20.08, 19.294, 11.079), cameraTarget=(5.3794, -2.2338,
    -0.75545))
a = mdb.models['Geneva'].rootAssembly
s1 = a.instances['slot1-1'].faces
# in 6.5...
#region1=regionToolset.Region(side1Faces=s1.findAt(
region1=regionToolset.Region(side2Faces=s1.findAt(
    ((0.705452, -0.740638, -0.166667), (0.929376, 0.369134, 0.0)), ((1.673365,
    -1.63801, -0.166667), (-0.707107, -0.707107, 0.0)), ((2.205645, -2.033502,
    0.166667), (0.040574, -0.999177, 0.0)), ((2.578916, -1.316062, -0.166667),
    (0.772426, 0.635105, 0.0)), ((2.605026, 1.487898, -0.166667), (0.964711,
    -0.263309, 0.0)), ((1.207806, 1.17245, -0.166667), (-0.707107, 0.707107,
    0.0)), ((0.740638, 0.705452, -0.166667), (-0.369134, 0.929376, 0.0)), ((
    1.63801, 1.673365, -0.166667), (0.707107, -0.707107, 0.0)), ((2.033502,
    2.205645, -0.166667), (0.999177, 0.040574, 0.0)), ((1.316062, 2.578916,
    -0.166667), (-0.635105, 0.772426, 0.0)), ((-1.487898, 2.605026, 0.166667),
    (0.263309, 0.964711, 0.0)), ((-1.17245, 1.207806, -0.166667), (-0.707107,
    -0.707107, 0.0)), ((-0.705452, 0.740638, -0.166667), (-0.929376, -0.369134,
    0.0)), ((-1.673365, 1.63801, -0.166667), (0.707107, 0.707107, 0.0)), ((
    -2.205645, 2.033502, 0.166667), (-0.040574, 0.999177, 0.0)), ((-2.578916,
    1.316062, 0.166667), (-0.772426, -0.635105, 0.0)), ((-2.605026, -1.487898,
    -0.166667), (-0.964711, 0.263309, 0.0)), ((-1.207806, -1.17245, -0.166667),
    (0.707107, -0.707107, 0.0)), ((-0.740638, -0.705452, -0.166667), (0.369134,
    -0.929376, 0.0)), ((-1.63801, -1.673365, -0.166667), (-0.707107, 0.707107,
    0.0)), ((-2.033502, -2.205645, -0.166667), (-0.999177, -0.040574, 0.0)), ((
    -1.316062, -2.578916, -0.166667), (0.635105, -0.772426, 0.0)), ((1.487898,
    -2.605026, 0.166667), (-0.263309, -0.964711, 0.0)), ((1.17245, -1.207806,
    -0.166667), (0.707107, 0.707107, 0.0)), ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[44], )
region2=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].SurfaceToSurfaceContactStd(name='pin-slot-interaction',
    createStepName='Initial', master=region1, slave=region2, sliding=FINITE,
    interactionProperty='pin-slot-interaction-property', adjustMethod=NONE)
#: The interaction "pin-slot-interaction" has been created.
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setProjection(projection=PARALLEL)
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Geneva'].rootAssembly
c1 = a.instances['pin-1'].cells
cells1 = c1[0:2]
region2=regionToolset.Region(cells=c1.findAt(((
    7.544154, 0.113241, 1.5), ), ((7.193777, 0.037493, 0.0), ), ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[44], )
region4=regionToolset.Region(referencePoints=refPoints1)
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['pin-1'].referencePoints
refPoints1=(r1[6], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].constraints['Constraint-2'].setValues(
    refPointRegion=region1, bodyRegion=region2, tieRegion=region4)
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(5.0153,
    25.205, 15.752), cameraUpVector=(0.12316, 0.50204, -0.85603))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(9.6025,
    28.582, 0.56932), cameraUpVector=(0.065473, -0.015572, -0.99773))
import assembly
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Geneva'].rootAssembly
p1 = a.instances['slot1-1']
p1.translate(vector=(0.0, 0.0, 0.5))
#: The instance slot1-1 was translated by 0, 0, 0.5 w/respect to the Assembly CS
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
session.viewports['Viewport: 1'].view.fitView()
a = mdb.models['Geneva'].rootAssembly
s1 = a.instances['slot1-1'].faces
# in 6.5...
#a.Surface(side1Faces=s1.findAt(((
a.Surface(side2Faces=s1.findAt(((
    0.705452, -0.740638, 0.333333), (0.929376, 0.369134, 0.0)), ((1.673365,
    -1.63801, 0.333333), (-0.707107, -0.707107, 0.0)), ((2.205645, -2.033502,
    0.666667), (0.040574, -0.999177, 0.0)), ((2.578916, -1.316062, 0.333333), (
    0.772426, 0.635105, 0.0)), ((2.605026, 1.487898, 0.333333), (0.964711,
    -0.263309, 0.0)), ((1.207806, 1.17245, 0.333333), (-0.707107, 0.707107,
    0.0)), ((0.740638, 0.705452, 0.333333), (-0.369134, 0.929376, 0.0)), ((
    1.63801, 1.673365, 0.333333), (0.707107, -0.707107, 0.0)), ((2.033502,
    2.205645, 0.333333), (0.999177, 0.040574, 0.0)), ((1.316062, 2.578916,
    0.333333), (-0.635105, 0.772426, 0.0)), ((-1.487898, 2.605026, 0.666667), (
    0.263309, 0.964711, 0.0)), ((-1.17245, 1.207806, 0.333333), (-0.707107,
    -0.707107, 0.0)), ((-0.705452, 0.740638, 0.333333), (-0.929376, -0.369134,
    0.0)), ((-1.673365, 1.63801, 0.333333), (0.707107, 0.707107, 0.0)), ((
    -2.205645, 2.033502, 0.666667), (-0.040574, 0.999177, 0.0)), ((-2.578916,
    1.316062, 0.666667), (-0.772426, -0.635105, 0.0)), ((-2.605026, -1.487898,
    0.333333), (-0.964711, 0.263309, 0.0)), ((-1.207806, -1.17245, 0.333333), (
    0.707107, -0.707107, 0.0)), ((-0.740638, -0.705452, 0.333333), (0.369134,
    -0.929376, 0.0)), ((-1.63801, -1.673365, 0.333333), (-0.707107, 0.707107,
    0.0)), ((-2.033502, -2.205645, 0.333333), (-0.999177, -0.040574, 0.0)), ((
    -1.316062, -2.578916, 0.333333), (0.635105, -0.772426, 0.0)), ((1.487898,
    -2.605026, 0.666667), (-0.263309, -0.964711, 0.0)), ((1.17245, -1.207806,
    0.333333), (0.707107, 0.707107, 0.0)), ), name='Surf-1')
#: The surface "Surf-1" has been created.
a = mdb.models['Geneva'].rootAssembly
r1 = a.referencePoints
refPoints1=(r1[44], )
a.Set(referencePoints=refPoints1, name='Set-1')
#: The set "Set-1" has been created.
a = mdb.models['Geneva'].rootAssembly
region1=a.surfaces['Surf-1']
a = mdb.models['Geneva'].rootAssembly
region2=a.sets['Set-1']
mdb.models['Geneva'].interactions['pin-slot-interaction'].setValues(master=region1,
    slave=region2, adjustMethod=NONE, sliding=FINITE)
import job
import step
import regionToolset
import displayGroupMdbToolset as dgm
mdb.models['Geneva'].steps['Step-1'].setValues(minInc=1e-06, nlgeom=ON)
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Geneva'].rootAssembly
a.regenerate()
import part
import regionToolset
import displayGroupMdbToolset as dgm
p = mdb.models['Geneva'].parts['pin']
p1 = mdb.models['Geneva'].parts['pin']
c, e, v, d = p1.cells, p1.edges, p1.vertices, p1.datums
cells =(c[1], )
p1.PartitionCellByPlanePointNormal(point=d[7], normal=e.findAt((3.268526,
    0.421775, 0.125), ), cells=c.findAt((2.951136, -0.037493, 1.5),
    ), )
p1 = mdb.models['Geneva'].parts['pin']
c, v, e, d = p1.cells, p1.vertices, p1.edges, p1.datums
cells =(c[2], )
p1.PartitionCellByPlaneThreePoints(point1=d[7], point3=v.findAt((3.1,
    2e-06, 1.5), ), cells=(c.findAt((2.951136, -0.037493, 1.5),
    ), ),
    point2=p1.InterestingPoint(edge=e.findAt((2.929289, -0.07071, 1.5),), rule=CENTER))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(1.5385,
    0.2284, 16.339), cameraUpVector=(-0.094926, 0.94707, -0.30666),
    cameraTarget=(1.8068, 0.69408, 0.88152))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.previous()
session.viewports['Viewport: 1'].view.previous()
p1 = mdb.models['Geneva'].parts['pin']
c, v, e, d = p1.cells, p1.vertices, p1.edges, p1.datums
cells =(c[0], )
p1.PartitionCellByPlaneThreePoints(point1=d[7], cells=(c.findAt((2.966667, 0.0, 1.5), ), ),
    point2=p1.InterestingPoint(edge=e.findAt((2.9, 1e-06, 1.5), ), rule=CENTER),
    point3=p1.InterestingPoint(edge=e.findAt((3.07071, 0.070711, 1.5), ), rule=MIDDLE))
p1 = mdb.models['Geneva'].parts['pin']
c, v, e, d = p1.cells, p1.vertices, p1.edges, p1.datums
cells =(c[4], )
p1.PartitionCellByPlaneThreePoints(point1=v.findAt((
    3.0, 0.0, 1.5), ), point3=d[7], cells=(c.findAt((2.900379, -0.008696,
    1.333333), ), ),
    point2=p1.InterestingPoint(edge=e.findAt((2.929291, -0.070712, 1.5),
    ), rule=MIDDLE))
p1 = mdb.models['Geneva'].parts['pin']
v = p1.vertices
verts = v[3:4]
p1.Set(vertices=v.findAt(((3.0, 0.0, 1.0), ), ), name='Set-1')
#: The set "Set-1" has been created.
a = mdb.models['Geneva'].rootAssembly
a.regenerate()
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
session.viewports['Viewport: 1'].view.setValues(width=3.097, height=1.9798,
    cameraPosition=(8.9402, 26.612, -11.275), cameraTarget=(7.4815, -0.24689,
    0.89213))
session.viewports['Viewport: 1'].view.fitView()
a = mdb.models['Geneva'].rootAssembly
c1 = a.instances['pin-1'].cells
cells1 = c1[4:5]
region2=regionToolset.Region(cells=c1.findAt(((
    7.544154, 0.113241, 1.5), ), ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['pin-1'].referencePoints
refPoints1=(r1[6], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].constraints['Constraint-2'].setValues(
    refPointRegion=region1, bodyRegion=region2)
del mdb.models['Geneva'].interactions['pin-slot-interaction']
session.viewports['Viewport: 1'].view.setValues(width=1.9432, height=1.2422,
    cameraPosition=(0.98337, 0.86375, 30.272), cameraTarget=(0.98337, 0.86375,
    0.75))
session.viewports['Viewport: 1'].view.setValues(width=0.16088, height=0.10284,
    cameraPosition=(1.4205, 1.4253, 30.272), cameraTarget=(1.4205, 1.4253,
    0.75))
session.viewports['Viewport: 1'].view.fitView()
a = mdb.models['Geneva'].rootAssembly
s1 = a.instances['slot1-1'].faces
# in 6.5...
#region1=regionToolset.Region(side1Faces=s1.findAt(
region1=regionToolset.Region(side2Faces=s1.findAt(
    ((1.63801, 1.673365, 0.333333), (0.707107, -0.707107, 0.0)), ))
a = mdb.models['Geneva'].rootAssembly
region2=a.instances['pin-1'].sets['Set-1']
mdb.models['Geneva'].SurfaceToSurfaceContactStd(name='pin-slot-interaction',
    createStepName='Initial', master=region1, slave=region2, sliding=FINITE,
    interactionProperty='pin-slot-interaction-property', adjustMethod=NONE)
#: The interaction "pin-slot-interaction" has been created.
region4=None
mdb.models['Geneva'].constraints['Constraint-2'].setValues(tieRegion=region4)
a = mdb.models['Geneva'].rootAssembly
del a.features['RP-1']
a = mdb.models['Geneva'].rootAssembly
a.backup()
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(0.028973,
    -13.057, 27.172), cameraUpVector=(0.021239, 0.89575, 0.44405))
import mesh
import regionToolset
import displayGroupMdbToolset as dgm
a0 = mdb.models['Geneva'].rootAssembly
a0.regenerate()
elemType1 = mesh.ElemType(elemCode=C3D8R, elemLibrary=STANDARD)
elemType2 = mesh.ElemType(elemCode=C3D6, elemLibrary=STANDARD)
elemType3 = mesh.ElemType(elemCode=C3D4, elemLibrary=STANDARD)
a0 = mdb.models['Geneva'].rootAssembly
c1 = a0.instances['pin-1'].cells
cells1 = c1[0:6]
regions =(c1.findAt(
    ((7.23395, 0.099621, 0.333333), ), ((7.251334, -0.099621, 0.333333), ), ((
    7.233947, -0.099621, 0.166667), ), ((7.342262, -0.008695, 0.666667), ), ((
    7.544154, 0.113241, 1.5), ), ((7.251336, 0.099621, 0.166667), ), ), )
a0.setElementType(regions=regions, elemTypes=(elemType1, elemType2, elemType3))
a0 = mdb.models['Geneva'].rootAssembly
partInstances =(a0.instances['pin-1'], )
a0.generateMesh(regions=partInstances)
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(-4.9683,
    -25.36, 14.289), cameraUpVector=(-0.028741, 0.47669, 0.8786))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(3.7103,
    -5.186, 29.747), cameraUpVector=(0.41205, 0.90135, 0.13333))
a1 = mdb.models['Geneva'].rootAssembly
a1.regenerate()
a0 = mdb.models['Geneva'].rootAssembly
c1 = a0.instances['pin-1'].cells
f1 = a0.instances['slot1-1'].faces
c2 = a0.instances['slot2-1'].cells
regions =(c1.findAt((7.23395,
    0.099621, 0.333333), ), c1.findAt((
    7.251334, -0.099621, 0.333333), ), c1.findAt((
    7.233947, -0.099621, 0.166667), ), c1.findAt((
    7.342262, -0.008695, 0.666667), ), c1.findAt((
    7.544154, 0.113241, 1.5), ), c1.findAt((
    7.251336, 0.099621, 0.166667), ), f1.findAt((
    0.705452, -0.740638, 0.333333), (0.929376, 0.369134, 0.0)), f1.findAt((
    1.673365, -1.63801, 0.333333), (-0.707107, -0.707107, 0.0)), f1.findAt((
    2.205645, -2.033502, 0.666667), (0.040574, -0.999177, 0.0)),
    f1.findAt((
    2.578916, -1.316062, 0.333333), (0.772426, 0.635105, 0.0)), f1.findAt((
    2.605026, 1.487898, 0.333333), (0.964711, -0.263309, 0.0)), f1.findAt((
    1.207806, 1.17245, 0.333333), (-0.707107, 0.707107, 0.0)), f1.findAt((
    0.740638, 0.705452, 0.333333), (-0.369134, 0.929376, 0.0)), f1.findAt((
    1.63801, 1.673365, 0.333333), (0.707107, -0.707107, 0.0)), f1.findAt((
    2.033502, 2.205645, 0.333333), (0.999177, 0.040574, 0.0)), f1.findAt((
    1.316062, 2.578916, 0.333333), (-0.635105, 0.772426, 0.0)), f1.findAt((
    -1.487898, 2.605026, 0.666667), (0.263309, 0.964711, 0.0)), f1.findAt((
    -1.17245, 1.207806, 0.333333), (-0.707107, -0.707107, 0.0)), f1.findAt((
    -0.705452, 0.740638, 0.333333), (-0.929376, -0.369134, 0.0)),
    f1.findAt((
    -1.673365, 1.63801, 0.333333), (0.707107, 0.707107, 0.0)), f1.findAt((
    -2.205645, 2.033502, 0.666667), (-0.040574, 0.999177, 0.0)), f1.findAt((
    -2.578916, 1.316062, 0.666667), (-0.772426, -0.635105, 0.0)), f1.findAt((
    -2.605026, -1.487898, 0.333333), (-0.964711, 0.263309, 0.0)), f1.findAt((
    -1.207806, -1.17245, 0.333333), (0.707107, -0.707107, 0.0)),f1.findAt((
    -0.740638, -0.705452, 0.333333), (0.369134, -0.929376, 0.0)), f1.findAt((
    -1.63801, -1.673365, 0.333333), (-0.707107, 0.707107, 0.0)), f1.findAt((
    -2.033502, -2.205645, 0.333333), (-0.999177, -0.040574, 0.0)), f1.findAt((
    -1.316062, -2.578916, 0.333333), (0.635105, -0.772426, 0.0)), f1.findAt((
    1.487898, -2.605026, 0.666667), (-0.263309, -0.964711, 0.0)),
    f1.findAt((
    1.17245, -1.207806, 0.333333), (0.707107, 0.707107, 0.0)), c2.findAt((
    -0.781817, 0.606584, 0.666667), ))
a0.deleteMesh(regions=regions)
elemType1 = mesh.ElemType(elemCode=C3D8R, elemLibrary=STANDARD)
elemType2 = mesh.ElemType(elemCode=C3D6, elemLibrary=STANDARD)
elemType3 = mesh.ElemType(elemCode=C3D4, elemLibrary=STANDARD)
a0 = mdb.models['Geneva'].rootAssembly
c1 = a0.instances['slot2-1'].cells
cells1 = c1[0:1]
c2 = a0.instances['pin-1'].cells
cells2 = c2[0:6]
regions =((c1.findAt(((
    -0.781817, 0.606584, 0.666667), ), )+c2.findAt(((
    7.23395, 0.099621, 0.333333), ), ((7.251334, -0.099621, 0.333333), ), ((
    7.233947, -0.099621, 0.166667), ), ((7.342262, -0.008695, 0.666667), ), ((
    7.544154, 0.113241, 1.5), ), ((7.251336, 0.099621, 0.166667), ), ), ))
a0.setElementType(regions=regions, elemTypes=(elemType1, elemType2, elemType3))
a0 = mdb.models['Geneva'].rootAssembly
partInstances =(a0.instances['slot2-1'], a0.instances['pin-1'],
    a0.instances['pin-1'], )
a0.generateMesh(regions=partInstances)
a1 = mdb.models['Geneva'].rootAssembly
a1.regenerate()
import assembly
import regionToolset
import displayGroupMdbToolset as dgm
a1 = mdb.models['Geneva'].rootAssembly
a1.regenerate()
import load
import regionToolset
import displayGroupMdbToolset as dgm
a1 = mdb.models['Geneva'].rootAssembly
a1.regenerate()
import material
import section
import regionToolset
import displayGroupMdbToolset as dgm
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
a1 = mdb.models['Geneva'].rootAssembly
a1.regenerate()
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
import step
import regionToolset
import displayGroupMdbToolset as dgm
a1 = mdb.models['Geneva'].rootAssembly
a1.regenerate()
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p1 = mdb.models['Geneva'].parts['pin']
p1.regenerate()
a1 = mdb.models['Geneva'].rootAssembly
a1.regenerate()
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
a = mdb.models['Geneva'].rootAssembly
a.regenerate()
mdb.models['Geneva'].parts['slot1'].features.changeKey('RP',
    'slot1_refpoint')
mdb.models['Geneva'].parts['slot2'].features.changeKey('RP',
    'slot2_refpoint')
mdb.models['Geneva'].parts['pin'].features.changeKey('RP',
    'pin_refpoint')
import step
import regionToolset
import displayGroupMdbToolset as dgm
mdb.models['Geneva'].steps['Step-1'].setValues(stabilizationMethod=NONE,
    nlgeom=ON)
import step
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
mdb.models['Geneva'].steps['Step-1'].setValues(
    stabilizationMethod=DAMPING_FACTOR, stabilizationMagnitude=2e-07,
    nlgeom=ON)
mdb.models['Geneva'].StaticStep(name='Step-2', previous='Step-1',
    stabilizationMethod=DAMPING_FACTOR, stabilizationMagnitude=2e-07,
    initialInc=0.01, maxInc=0.01)
session.viewports['Viewport: 1'].assemblyDisplay.setValues(step='Step-2')
mdb.models['Geneva'].steps['Step-1'].setValues(maxInc=0.01)
mdb.models['Geneva'].StaticStep(name='Step-3', previous='Step-2',
    stabilizationMethod=DAMPING_FACTOR, stabilizationMagnitude=2e-06,
    initialInc=0.03, minInc=1e-06, maxInc=0.03)
session.viewports['Viewport: 1'].assemblyDisplay.setValues(step='Step-3')
mdb.models['Geneva'].steps['Step-2'].setValues(minInc=1e-06)
mdb.models['Geneva'].steps['Step-3'].setValues()
import step
import regionToolset
import displayGroupMdbToolset as dgm
mdb.models['Geneva'].steps['Step-1'].setValues(
    stabilizationMethod=DISSIPATED_ENERGY_FRACTION,
    stabilizationMagnitude=0.0002, nlgeom=ON)
mdb.models['Geneva'].steps['Step-2'].setValues(
    stabilizationMethod=DISSIPATED_ENERGY_FRACTION,
    stabilizationMagnitude=0.0002, maxNumInc=200)
mdb.models['Geneva'].steps['Step-3'].setValues(
    stabilizationMethod=DISSIPATED_ENERGY_FRACTION,
    stabilizationMagnitude=0.0002, maxNumInc=200)
import step
import regionToolset
import displayGroupMdbToolset as dgm
mdb.models['Geneva'].steps['Step-3'].setValues(initialInc=0.03, maxInc=0.03,
    nlgeom=ON)
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
session.viewports['Viewport: 1'].assemblyDisplay.setValues(visibleInstances=(
    'slot1-1', ))
session.viewports['Viewport: 1'].view.setValues(width=2.9119, height=1.7452,
    cameraPosition=(2.3097, -5.199, 29.839), cameraTarget=(0.3495, -0.013027,
    0.84235))
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['slot1-1'].referencePoints
refPoints1=(r1[2], )
a.Set(referencePoints=refPoints1, name='Set-2')
#: The set "Set-2" has been created.
session.viewports['Viewport: 1'].assemblyDisplay.setValues(visibleInstances=(
    'slot2-1', ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['slot2-1'].referencePoints
refPoints1=(r1[2], )
a.Set(referencePoints=refPoints1, name='Set-3')
#: The set "Set-3" has been created.
session.viewports['Viewport: 1'].assemblyDisplay.setValues(visibleInstances=(
    'slot0-1', 'pin-1', 'slot1-1', 'slot2-1'))
session.viewports['Viewport: 1'].view.fitView()
mdb.models['Geneva'].Equation(name='Constraint-3', terms=((1.0, 'Set-3', 6), (
    -1.0, 'Set-2', 6)))
import step
import regionToolset
import displayGroupMdbToolset as dgm
regionDef=mdb.models['Geneva'].rootAssembly.sets['Set-2']
mdb.models['Geneva'].HistoryOutputRequest(name='H-Output-2',
    createStepName='Step-1', variables=('U1', 'U2', 'U3', 'UR1', 'UR2', 'UR3',
    'IRA1', 'IRA2', 'IRA3', 'IRAR1', 'IRAR2', 'IRAR3'), region=regionDef)
session.viewports['Viewport: 1'].assemblyDisplay.setValues(visibleInstances=(
    'pin-1', ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['pin-1'].referencePoints
refPoints1=(r1[6], )
a.Set(referencePoints=refPoints1, name='Set-4')
#: The set "Set-4" has been created.
regionDef=mdb.models['Geneva'].rootAssembly.sets['Set-4']
mdb.models['Geneva'].HistoryOutputRequest(name='H-Output-3',
    createStepName='Step-1', variables=('U1', 'U2', 'U3', 'UR1', 'UR2', 'UR3',
    'IRA1', 'IRA2', 'IRA3', 'IRAR1', 'IRAR2', 'IRAR3'), region=regionDef)
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['slot1-1'].referencePoints
mdb.models['Geneva'].DisplayBody(name='Constraint-4',
    instance=a.instances['slot2-1'], controlPoints=(r1[2], ))
del mdb.models['Geneva'].constraints['Constraint-1']
del mdb.models['Geneva'].constraints['Constraint-3']
import load
import regionToolset
import displayGroupMdbToolset as dgm
mdb.models['Geneva'].boundaryConditions['BC-1'].setValues(ur3=3.9269)
del mdb.models['Geneva'].boundaryConditions['BC-1']
import load
import regionToolset
import displayGroupMdbToolset as dgm
session.viewports['Viewport: 1'].assemblyDisplay.setValues(loads=ON, bcs=ON,
    predefinedFields=ON, interactions=OFF, constraints=OFF)
del mdb.models['Geneva'].rootAssembly.sets['Set-3']
import material
import section
import regionToolset
import displayGroupMdbToolset as dgm
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
mdb.models['Geneva'].materials['Material-1'].elastic.setValues(table=((
    100000000000.0, 0.0), ))
import material
import section
import regionToolset
import displayGroupMdbToolset as dgm
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
import interaction
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
import part
import regionToolset
import displayGroupMdbToolset as dgm
p = mdb.models['Geneva'].parts['pin']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
p = mdb.models['Geneva'].parts['slot1']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
import assembly
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
p = mdb.models['Geneva'].parts['slot1']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Geneva'].parts['slot1'].sets['Set-1']
p = mdb.models['Geneva'].parts['slot2']
session.viewports['Viewport: 1'].setValues(displayedObject=p)
del mdb.models['Geneva'].parts['slot2'].sets['Set-1']
a = mdb.models['Geneva'].rootAssembly
a.regenerate()
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
import job
session.viewports['Viewport: 1'].assemblyDisplay.setValues(visibleInstances=(
    'pin-1', 'slot1-1', 'slot2-1'))
session.viewports['Viewport: 1'].view.setValues(session.views['Front'])
session.viewports['Viewport: 1'].view.setProjection(projection=PARALLEL)
#
# ---------------------------------------------------------------
#   Begin connectors
# ---------------------------------------------------------------
#
#   ---------------------------------------------------------
#   Load the interaction module and create connector property
#   ---------------------------------------------------------
#
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
from connectorBehavior import *
mdb.models['Geneva'].ConnectorSection(name='ConnProp-1', assembledType=NONE,
    translationalType=NONE, rotationalType=EULER)
#
#  ---------------------------------------------------------------------------
#  Create connector 'slot1-ground-connector' between slot1_refpoint and ground
#  using orientation same as rootAssembly.datums[1].
#  ---------------------------------------------------------------------------
#
point1 = mdb.models['Geneva'].rootAssembly.instances['slot1-1'].referencePoints[2]
orient1 = mdb.models['Geneva'].rootAssembly.datums[1]
setname = 'slot1-ground-connector_CnSet'
connSect = 'ConnProp-1'
edge = a.WirePolyLine(points=((point1, None), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet(), localCsys1=orient1)
#
#
#  ----------------------------------------------------------------------
#  Create boundary condition of rotation 'rotate-pin' at the pin_refpoint
#  ----------------------------------------------------------------------
#
import load
import regionToolset
import displayGroupMdbToolset as dgm
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['pin-1'].referencePoints
refPoints1=(r1[6], )
region = regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].VelocityBC(name='rotate-pin', createStepName='Step-1',
    region=region, v1=0.0, v2=0.0, v3=0.0, vr1=0.0, vr2=0.0, vr3=3.9269,
    amplitude=UNSET, localCsys=None, distributionType=UNIFORM)
session.viewports['Viewport: 1'].assemblyDisplay.setValues(step='Step-2')
mdb.models['Geneva'].boundaryConditions['rotate-pin'].setValuesInStep(
    stepName='Step-2', vr3=6.283185307179)
session.viewports['Viewport: 1'].assemblyDisplay.setValues(step='Step-3')
mdb.models['Geneva'].boundaryConditions['rotate-pin'].setValuesInStep(
    stepName='Step-3', vr3=2.3562853072)
import job
session.viewports['Viewport: 1'].assemblyDisplay.setValues(interactions=OFF,
    constraints=OFF, connectors=OFF)
session.viewports['Viewport: 1'].assemblyDisplay.setValues(visibleInstances=(
    'pin-1', 'slot1-1', 'slot2-1'))
session.viewports['Viewport: 1'].view.setValues(session.views['Front'])
session.viewports['Viewport: 1'].view.setProjection(projection=PARALLEL)
#
#  ------------------------
#  End geneva_connectors.py
#  ------------------------
#
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
session.viewports['Viewport: 1'].assemblyDisplay.setValues(loads=OFF, bcs=OFF,
    predefinedFields=OFF, interactions=ON, constraints=ON, connectors=ON)
damping = ConnectorDamping(components=(6, ), table=((1.0, ), ))
mdb.models['Geneva'].sections['ConnProp-1'].setValues(behaviorOptions=(damping,))
#mdb.models['Geneva'].connectorProperties['ConnProp-1'].ConnectorFriction(
#    components=(6, ), stickStiffness=1.0, table=((1.0, 0.0), ))
elasticity = ConnectorElasticity(components=(1, ), table=((1.0, ), ))
damping = ConnectorDamping(components=(1, ), table=((1.0, ), ))
mdb.models['Geneva'].ConnectorSection(name='ConnProp-2', assembledType=NONE,
    translationalType=AXIAL, rotationalType=NONE, behaviorOptions=(elasticity,damping))
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(26.5517,
    9.09784, 13.9281), cameraUpVector=(-0.285804, 0.950921, -0.118601))
session.viewports['Viewport: 1'].view.setValues(width=1.32786,
    height=0.795814, cameraPosition=(28.2022, 7.71317, 11.7778), cameraTarget=(
    3.40055, -1.38467, -1.4003))
session.viewports['Viewport: 1'].view.fitView()
session.viewports['Viewport: 1'].view.setValues(session.views['Front'])
a = mdb.models['Geneva'].rootAssembly
v1 = a.instances['pin-1'].vertices
point1=v1.findAt((
    7.242641, 0.0, 0.5), )
orient1 = mdb.models['Geneva'].rootAssembly.datums[1]
setname = 'Conn-2_CnSet'
connSect = 'ConnProp-2'
edge = a.WirePolyLine(points=((point1, None), ), mergeWire=OFF, meshable=OFF)
a.Set(name=setname, edges=a.getFeatureEdges(edge.name))
csa = a.SectionAssignment(region=a.sets[setname], sectionName=connSect)
co = a.ConnectorOrientation(region=csa.getSet(), localCsys1=orient1)
#: The connector "Conn-2" has been created.
import step
session.viewports['Viewport: 1'].assemblyDisplay.setValues(interactions=OFF,
    constraints=OFF, connectors=OFF)
mdb.models['Geneva'].steps['Step-1'].setValues(stabilizationMethod=NONE,
    nlgeom=ON)
mdb.models['Geneva'].steps['Step-2'].setValues(stabilizationMethod=NONE)
mdb.models['Geneva'].steps['Step-3'].setValues(stabilizationMethod=NONE)
import load
session.viewports['Viewport: 1'].assemblyDisplay.setValues(loads=ON, bcs=ON,
    predefinedFields=ON, connectors=ON)
session.viewports['Viewport: 1'].assemblyDisplay.setValues(step='Step-1')
mdb.models['Geneva'].boundaryConditions['rotate-pin'].setValues(vr3=3.925)
session.viewports['Viewport: 1'].assemblyDisplay.setValues(step='Step-2')
mdb.models['Geneva'].boundaryConditions['rotate-pin'].setValuesInStep(
    stepName='Step-2', vr3=6.283)
session.viewports['Viewport: 1'].assemblyDisplay.setValues(step='Step-3')
session.viewports['Viewport: 1'].assemblyDisplay.setValues(step='Step-2')
#
import interaction
import regionToolset
import displayGroupMdbToolset as dgm
session.viewports['Viewport: 1'].assemblyDisplay.setValues(loads=OFF, bcs=OFF,
    predefinedFields=OFF, interactions=ON, constraints=ON)
session.viewports['Viewport: 1'].assemblyDisplay.setValues(step='Initial')
mdb.models['Geneva'].interactionProperties['pin-slot-interaction-property'].tangentialBehavior.setValues(
    formulation=FRICTIONLESS)
mdb.models['Geneva'].interactionProperties['pin-slot-interaction-property'].normalBehavior.setValues(
    pressureOverclosure=HARD, allowSeparation=ON, contactStiffness=DEFAULT,
    constraintEnforcementMethod=AUGMENTED_LAGRANGE)
a = mdb.models['Geneva'].rootAssembly
c1 = a.instances['pin-1'].cells
cells1 = c1[0:6]
region2=regionToolset.Region(cells=c1.findAt(((
    7.23395, 0.099621, 0.333333), ), ((7.251334, -0.099621, 0.333333), ), ((
    7.233947, -0.099621, 0.166667), ), ((7.342262, -0.008695, 0.666667), ), ((
    7.544154, 0.113241, 1.5), ), ((7.251336, 0.099621, 0.166667), ), ))
a = mdb.models['Geneva'].rootAssembly
r1 = a.instances['pin-1'].referencePoints
refPoints1=(r1[6], )
region1=regionToolset.Region(referencePoints=refPoints1)
mdb.models['Geneva'].constraints['Constraint-2'].setValues(
    refPointRegion=region1, bodyRegion=region2)
import interaction
a = mdb.models['Geneva'].rootAssembly
session.viewports['Viewport: 1'].setValues(displayedObject=a)
session.viewports['Viewport: 1'].view.setValues(cameraPosition=(11.1831,
    -22.5984, 17.2389), cameraUpVector=(0.0941258, 0.612151, 0.785118))
a = mdb.models['Geneva'].rootAssembly
c1 = a.instances['pin-1'].cells
cells1 = c1.findAt(((7.190204, 0.040238, 0.0), ), ((7.251334, 0.099621,
    0.166667), ), ((7.142641, 1e-06, 0.166667), ), ((7.341118, 0.017385,
    0.666667), ), ((7.544154, 0.113241, 1.5), ), ((7.202404, 0.052438, 0.0), ))
region2=regionToolset.Region(cells=cells1)
mdb.models['Geneva'].constraints['Constraint-2'].setValues(bodyRegion=region2)
#mdb.models['Geneva'].connectorProperties['ConnProp-1'].behaviorOptions[1].setValues(
#    table=((0.0, 0.0), ))
##--------------------------------------------------------------------------
# Creation of the job
##--------------------------------------------------------------------------
session.viewports['Viewport: 1'].view.fitView()
mdb.Job(name='geneva', model='Geneva', type=ANALYSIS,
    explicitPrecision=SINGLE, nodalOutputPrecision=SINGLE, description='',
    userSubroutine='', numCpus=1, scratch='', echoPrint=OFF, modelPrint=OFF,
    contactPrint=OFF, historyPrint=OFF)
mdb.models['Geneva'].keywordBlock.synchVersions()
position = GetKWEBlockPosition( 'Geneva', '*End Assembly')+1
mdb.models['Geneva'].keywordBlock.insert(position, """
*Connector Friction, component=6, stick stiffness=1.0
,10.,
*friction
0.1,""")
mdb.saveAs('geneva')

